/************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright HCL Technologies Ltd. 2019.  All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *************************************************************************/
var ft_browser = {
    name: "",
    version: 0,
    supported: false,
    version_supported: false,
    version_newer: false,
    min_version_supported: 0,
    max_version_supported: 0,
    addon_installed: false,
    addon_enabled: false,
    java_needed: false,
    java_enabled: false,
    bs_loaded: false,
    ft_loaded: false,
    htdi_loaded: false,
    domain_name: null,
    jvm_vendor: null,
    jvm_version: null
};

var supportedBrowsers = {
    chrome: { min_version: 66, max_version: 79 },
    firefox: { min_version: 60, max_version: 69 },
    trident: { min_version: 9, max_version: 11 } //, // Internet Explorer
    //edge: { min_version: 17, max_version: 18 }
};

function getBrowserName() {
    if (ft_browser.name === TRIDENT) {
        return INTERNET_EXPLORER;
    } else {
        return ft_browser.name;
    }
}

function paint() {
    if (ft_browser.name === TRIDENT) {
        document.getElementsByTagName("title")[0].setAttribute("value", StringTable["title"]);
    } else {
        document.getElementsByTagName("title")[0].innerHTML = StringTable["title"];
    }
    document.getElementById("welcome_title").innerHTML = StringTable["welcome"];
    document.getElementById("tab-item:" + enablementInfoTab).innerHTML = StringTable["info_tab"];
    document.getElementById("tab-item:" + enablementProblemsTab).innerHTML = StringTable["problem_tab"];
    document.getElementById("tab-item:" + enablementDetailsTab).innerHTML = StringTable["details_tab"];
    document.getElementById("tab-item:" + enablementFlexTab).innerHTML = StringTable["flex_header_enablement_test_info"];
}

function initialize() {
    var userAgent = navigator.userAgent;
    var index;
    // First find the browser
    // VERY IMPORTANT : TP-60542 : PLEASE MAINTAIN this order of the search for the browser name. It so happens that
    // some browser's user agent include the other browser's names. This order works.
    if ((index = userAgent.indexOf(TRIDENT)) >= 0) {
        ft_browser.name = TRIDENT;
    } else if ((index = userAgent.indexOf(EDGE)) >= 0) {
        ft_browser.name = EDGE;
    } else if ((index = userAgent.indexOf(FIREFOX)) >= 0) {
        ft_browser.name = FIREFOX;
    } else if ((index = userAgent.indexOf(CHROME)) >= 0) {
        ft_browser.name = CHROME;
    }

    // Now find the version for the supported browser
    if (ft_browser.name != undefined) {
        if (ft_browser.name === TRIDENT) {
            ft_browser.version = parseInt(userAgent.substr(userAgent.indexOf("rv:") + "rv:".length));
        } else {
            ft_browser.version = parseInt(userAgent.substr(index + ft_browser.name.length + 1));
        }

        console.log("Browser = " + getBrowserName());
        console.log("Version = " + ft_browser.version);

        isBrowserSupported();
        setBrowserInfo();
        paint();
    }
}

function isBrowserSupported() {
    var supportedBrowser = supportedBrowsers[ft_browser.name.toLowerCase()];

    if (supportedBrowser === undefined) {
        ft_browser.supported = false;
        console.log("This Browser is not supported. " + "Please reach out to support if you have a need for this to be supported.");
    } else {
        var name = getBrowserName();
        ft_browser.min_version_supported = supportedBrowser.min_version;
        ft_browser.max_version_supported = supportedBrowser.max_version;
        if (ft_browser.version < supportedBrowser.min_version) {
            console.log(name + " version " + ft_browser.version + " is no longer supported. " + "Supported versions are " + supportedBrowser.min_version + " thru " + supportedBrowser.max_version);
            ft_browser.supported = true;
        } else if (ft_browser.version > supportedBrowser.max_version) {
            console.log(name + " version " + ft_browser.version + " is not yet officially supported." + "If you continue to use it and encounter issues, please reach out to support.");
            ft_browser.supported = true;
            ft_browser.version_supported = false;
            ft_browser.version_newer = true;
        } else {
            console.log(name + " verison " + ft_browser.version + " is officially supported. " + "Please reach out to support if you encounter issues while automating this browser.");
            ft_browser.supported = true;
            ft_browser.version_supported = true;
        }
    }
}

function setBrowserInfo() {
    if (ft_browser.name === TRIDENT) {
            ft_browser.java_needed = true;
    }
}
