
/************************************************************************
* Licensed Materials - Property of IBM and/or HCL
* (c) Copyright HCL Technologies Ltd. 2019.  All Rights Reserved.
*
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp.
*************************************************************************/

// Load the locale specific files
// First find the language and then load them based on the language and locate found
// by default, load the English file if no other locale specific fine found
var map_lang_locale = {
  "pt-BR": "PluginInfo.pt-BR.js",
  "zh-HK": "PluginInfo.zh-HK.js",
  "zh-TW": "PluginInfo.zh-TW.js"
};
var map_lang = {
  en: "PluginInfo.js",
  cs: "PluginInfo.cs.js",
  de: "PluginInfo.de.js",
  es: "PluginInfo.es.js",
  fr: "PluginInfo.fr.js",
  hu: "PluginInfo.hu.js",
  it: "PluginInfo.it.js",
  ja: "PluginInfo.ja.js",
  ko: "PluginInfo.ko.js",
  pl: "PluginInfo.pl.js",
  ru: "PluginInfo.ru.js",
  tr: "PluginInfo.tr.js",
  zh: "PluginInfo.zh.js"
};

var langNlocale = "";
var lang = "";

if (navigator.appName == "Netscape") {
  langNlocale = navigator.language;
  lang = navigator.language.substr(0, 2);
} else {
  langNlocale = navigator.browserLanguage;
  lang = navigator.browserLanguage.substr(0, 2);
}

if (wouldlog) log("Language = " + lang);
if (wouldlog) log("Locale = " + langNlocale);

// First check for locale specific file
var file;
file = map_lang_locale[langNlocale];

// If not found then check for lang specific file
if (file == undefined) {
  file = map_lang[lang];
}

// If nothing found, then use English as a fallback
if (file == undefined) {
  file = map_lang["en"];
}

if (wouldlog) log("Downloaded : " + file);

document.write("<script src=js/strings/" + file + ">" + "<" + "/script>");
