/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Diagnosetool f\u00fcr Browserunterst\u00fctzung";
StringTable["info_tab"] = "Ergebnisse";
StringTable["problem_tab"] = "Problem und L\u00f6sung";
StringTable["details_tab"] = "Details (<i>Erweitert</i>)";
StringTable["welcome"] = "Willkommen beim Diagnosetool f\u00fcr Browserunterst\u00fctzung";
StringTable["info_result_running"] = "Diagnose wird durchgef\u00fchrt ...";
StringTable["info_result"] = "<div><h2>Testergebnis f\u00fcr Browserunterst\u00fctzung:";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> Diese Browser / Version wird nicht unterst\u00fctzt.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green"> Test bestanden</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>Der Browser ist ordnungsgem\u00e4\u00df aktiviert.</p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Fehler</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = "<p>Anweisungen zur Fehlerkorrektur finden Sie auf der Registerkarte 'Problem und L\u00f6sung'.</p>";
StringTable["info_result_failed_javaenabled"] = "<p>Java ist im Browser nicht aktiviert.<p>";
StringTable["info_result_failed_ft"] = "<p>Die vom Browser verwendete JVM scheint nicht aktiviert zu sein.</p>";
StringTable["info_result_failed_htdi"] = "<p>Der Functional Test-Code wird vom Browser nicht erfolgreich geladen.</p>";
StringTable["info_result_ie_addon"] =
    "<p>Stellen Sie sicher, dass das Add-on installiert und aktiviert ist.</p>" +
    '<ol><li type="i">Rufen Sie <i>Extras > Add-Ons verwalten</i> auf.</li>' +
    '<li type="i">Rufen Sie die Registerkarte <i>Symbolleisten und Erweiterungen</i> auf.' +
    '<li type="i">Stellen Sie sicher, dass <i>"Functional Test IE Enabler"</i> installiert und aktiviert ist.</li></ol>';
StringTable["problem_noproblem"] = "<h2>Es sind keine Probleme zu berichten.</h2>";
StringTable["problem_javaenabled_header"] = "Java ist im Browser nicht aktiviert.";
StringTable["problem_javaenabled_content1"] =
    "Bei Verwendung von Internet Explorer:" +
    '<ol><li type="i">Gehen Sie zum <i>Extras > Add-ons verwalten</i>-Men\u00fc.</li>' +
    '<li type="i">Klicken Sie auf die Registerkarte <i>Werkzeugleisten und Erweiterungen</i>.' +
    '<li type="i">Stellen Sie sicher, dass ein Java-Plug-in installiert und aktiviert ist.</li></ol>';
StringTable["problem_javaenabled_content2"] =
    "Bei Verwendung von Firefox:" +
    '<ol><li type="i">Rufen Sie <i>Extras > Add-Ons</i> auf.</li>' +
    '<li type="i">W\u00e4hlen Sie die Kategorie <i>Plugins</i> aus.</li>' +
    '<li type="i">Stellen Sie sicher, dass ein Java-Plug-in installiert und aktiviert ist.</li></ol>';
StringTable["problem_nojava_header"] = "Im Browser wird keine JVM ausgef\u00fchrt.";
StringTable["problem_nojava_content1"] = "Vergewissern Sie sich, dass auf dem System eine JVM installiert ist.";
StringTable["problem_nojava_content2"] =
    "Vergewissern Sie sich, dass die JVM dem Browser zugeordnet ist." +
    "<ol>Unter Windows-Betriebssystemen:" +
    '<li type="i">Rufen Sie im Startmen\u00fc <i>Systemsteuerung</i> auf.</li>' +
    '<li type="i">\u00d6ffnen Sie die Systemsteuerungsanzeige f\u00fcr <i>Java-Plug-ins</i>.</li>' +
    '<li type="i">Rufen Sie die Registerkarte <i>Java</i> auf.</li>' +
    '<li type="i">Klicken Sie unter <i>Java-Applet-Laufzeiteinstellungen</i> auf die Schaltfl\u00e4che <i>Anzeigen</i>.' +
    '<li type="i">Vergewissern Sie sich, dass f\u00fcr Ihren Browser ausgew\u00e4hlt ist, dass das <i>Java-Plug-in als standardm\u00e4\u00dfige Java Runtime verwendet wird</i>. Klicken Sie auf das Kontrollk\u00e4stchen neben Ihrem Browser.</li>' +
    '<li type="i">Klicken Sie auf <i>Anwenden</i> und schlie\u00dfen Sie die Systemsteuerung.</li></ol>';
StringTable["problem_ft_header"] = "Die vom Browser verwendete JVM scheint nicht aktiviert zu sein.";
StringTable["problem_ft_content1"] =
    "\u00d6ffnen Sie den Enabler. W\u00e4hlen Sie dazu <i>Konfigurieren > Umgebungen f\u00fcr Tests aktivieren</i> aus und klicken Sie auf die Registerkarte <i>Java-Umgebungen</i>. W\u00e4hlen Sie alle aufgelisteten Umgebungen aus und klicken Sie auf <i>Aktivieren</i>.";
StringTable["problem_ft_content2"] =
    "Alternative unter Windows-Betriebssystemen:<ol>" +
    '<li type="i">Rufen Sie im Startmen\u00fc <i>Einstellungen > Systemsteuerung</i> auf.</li>' +
    '<li type="i">\u00d6ffnen Sie die Systemsteuerungsanzeige f\u00fcr <i>Java-Plug-ins</i>.</li>' +
    '<li type="i">Rufen Sie die Registerkarte <i>Erweitert</i> auf.</li>' +
    '<li type="i">W\u00e4hlen Sie als <i>Java Runtime Environment</i> eine Version aus, von der Sie wissen, dass sie aktiviert ist.</li>' +
    '<li type="i">Klicken Sie auf <i>Anwenden</i> und schlie\u00dfen Sie die Systemsteuerung.</li></ol>';
StringTable["problem_ft_content3"] =
    "Als letzte M\u00f6glichkeit unter Windows k\u00f6nnen Sie einen Registrierungsschl\u00fcssel hinzuf\u00fcgen, damit der Browser die standardm\u00e4\u00dfige Functional Test-JRE verwendet.<ol>" +
    '<li type="i">W\u00e4hlen Sie im <i>Startmen\u00fc</i> die Option <i>Ausf\u00fchren...</i> aus.</li>' +
    '<li type="i">Geben Sie "regedit" ein und klicken Sie auf <i>OK</i>.</li>' +
    '<li type="i">Navigieren Sie zu <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">F\u00fcgen Sie den Schl\u00fcssel "Applet Support" mit dem Zeichenfolgewert "0" hinzu.</li></ol>';
StringTable["problem_htdi_header"] = "Der Functional Test-Code wird vom Browser nicht erfolgreich geladen.";
StringTable["problem_htdi_content1"] =
    "Versuchen Sie, den Browser im Enabler zu inaktivieren und erneut zu aktivieren." +
    '<ol><li type="i">Klicken Sie auf <i>Konfigurieren > Umgebungen f\u00fcr Tests aktivieren</i>.</li>' +
    '<li type="i">W\u00e4hlen Sie den Browser auf der Registerkarte <i>Web-Browser</i> aus und klicken Sie auf <i>Inaktivieren</i>.</li>' +
    '<li type="i">W\u00e4hlen Sie den Browser erneut aus und klicken Sie auf <i>Aktivieren</i>.</li></ol>';
StringTable["problem_htdi_content2"] =
    "Bei Verwendung von Internet Explorer:" +
    '<ol><li type="i">Rufen Sie <i>Extras > Internetoptionen</i> auf.</li>' +
    '<li type="i">Rufen Sie die Registerkarte <i>Erweitert</i> auf.' +
    '<li type="i">Vergewissern Sie sich, dass <i>Browsererweiterungen von Drittanbietern aktivieren</i> ausgew\u00e4hlt ist.</li></ol>' +
    "<ol><b>Option aktiviert...</b>" +
    '<li type="i">Suchen Sie die Datei "RTXIEEnabler.dll" im Functional Test-Installationsverzeichnis.</li>' +
    '<li type="i">Navigieren Sie \u00fcber eine Befehlsshell (cmd.exe) in das Verzeichnis, das "RTXIEEnabler.dll" enth\u00e4lt.</li>' +
    '<li type="i">Geben Sie "regsvr32 RTXIEEnabler.dll" ein.</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java im Browser aktiviert = </i>";
StringTable["details_java_enabled_header"] = "Java aktiviert";
StringTable["details_bootstrap_loaded"] = "<i>Bootstrap geladen = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation geladen = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation geladen = </i>";
StringTable["details_htdi_name"] = "<i>HtmlTestDomainImplementation-Name = </i>";
StringTable["details_enablement_header"] = "Allgemeine Unterst\u00fctzungsinformationen";
StringTable["details_jvm_version"] = "<i>JVM-Version = </i>";
StringTable["details_jvm_vendor"] = "<i>JVM-Hersteller = </i>";
StringTable["details_jvm_header"] = "JVM-Informationen";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>\u00dcberpr\u00fcfen Sie die folgenden Einstellungen, um Flex-Anwendungen zu testen:</h3>";
StringTable["flex_test_browser_header"] = "Browserunterst\u00fctzung testen";
StringTable["flex_test_browser_info"] = "Der Browserunterst\u00fctzungstest muss bestanden werden, d. h., Browser und zugeh\u00f6rige JVM m\u00fcssen aktiviert sein.<br>";
StringTable["flex_test_compiletime_header"] = "F\u00fcr Unterst\u00fctzung zur Kompilierzeit";
StringTable["flex_test_compiletime_header_ex1"] = "Anwendung in einem lokalen Verzeichnis des Systems vorhanden";
StringTable["flex_test_compiletime_info"] =
    "F\u00fchren Sie die folgenden Schritte aus, um die zu testende Flex-Anwendung zum vertrauensw\u00fcrdigen Flash-Verzeichnis hinzuzuf\u00fcgen: " +
    "<ol>" +
    '<li type = "i">Erstellen Sie einen Ordner mit der Bezeichnung <b>FlashPlayerTrust</b> in <b><i>%WINDIR%\\system32\\Macromed\\Flash.</i></b>' +
    '<li type = "i">Erstellen Sie eine Datei mit der Bezeichnung <b>Flex</b> ohne Erweiterung im zuvor erstellten Ordner <b>FlashPlayerTrust</b>.</li>' +
    '<li type = "i">Geben Sie den Verzeichnispfad der Flex-Anwendung in die zuvor erstellte Datei <b>Flex</b> ein. Geben Sie beispielsweise <b>C:\\Test</b> als Pfad in der Datei <b>Flex</b> ein, wenn sich die Flex-Anwendung im Verzeichnis <b>"C:\\Test"</b> befindet.</li>' +
    '<li type = "i"> Speichern Sie die Datei.</li>';
StringTable["flex_test_ie_header"] = "Bei Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Anwendungen f\u00fcr Laden zur Ausf\u00fchrungszeit konfiguriert oder auf einem Server gehostet";
StringTable["flex_test_ie_info"] =
    "Konfigurieren Sie Internet Explorer wie folgt:" +
    '<ol><b>URL der Flex-Anwendung zur Zone "Lokales Intranet" hinzuf\u00fcgen...</b>' +
    '<ol><li type = "i"> Rufen Sie <i><b>Extras > Internetoptionen</b></i> auf.</li>' +
    '<li type="i"> Rufen Sie die Registerkarte <i><b>Sicherheit</b></i> auf.</li>' +
    '<li type="i"> W\u00e4hlen Sie die Zone <i><b>Lokales Intranet</b> </i> aus.</li>' +
    '<li type="i"> Klicken Sie auf die Schaltfl\u00e4chen <i><b>Sites > Erweitert</b> </i>.</li>' +
    '<li type="i"> Geben Sie im Feld <i><b>Diese Website zur Zone hinzuf\u00fcgen</b></i> die URL der Flex-Anwendung ein.</li>' +
    '<li type="i"> Klicken Sie auf <i><b>Hinzuf\u00fcgen</b></i> und anschlie\u00dfend auf <i><b>OK</b></i>.</li></ol>' +
    "<br>" +
    "<b>ActiveX-Steuerelemente zulassen...</b>" +
    '<ol><li type="i"> W\u00e4hlen Sie die Zone <i><b>Lokales Intranet</b></i> aus.</li>' +
    '<li type="i"> Klicken Sie auf <i><b>Stufe anpassen</b></i>.</li>' +
    '<li type="i"> W\u00e4hlen Sie im Dropdown-Men\u00fc <i><b>Zur\u00fccksetzen auf:</b></i> <i><b>Mittelhoch</b></i> aus.</li>' +
    "<li type=\"i\"> W\u00e4hlen Sie im Fensterbereich <i><b>Einstellungen</b></i> die Option <i><b>Aktivieren</b> </i> f\u00fcr <i><b>ActiveX-Steuerelemente initialisieren und ausf\u00fchren, die nicht als 'sicher f\u00fcr Skripting' markiert sind</b></i> aus </li>" +
    '<li type="i"> Klicken Sie auf <i><b>OK</b></i> und dann erneut auf <i><b>OK</b></i>, um die Sicherheitseinstellungen zu speichern und das Fenster mit den Internetoptionen zu schlie\u00dfen.</li></ol>';
StringTable["flex_test_ff_header"] = "Bei Firefox";
StringTable["flex_test_ff_header_ex1"] = "Unterst\u00fctzung sowohl zur Kompilierzeit als auch zur Ausf\u00fchrungszeit";
StringTable["flex_test_ff_info"] =
    "Konfigurieren Sie Firefox wie folgt:" +
    '<ol><li type = "i">Aktivieren Sie die Zugriffsrechte, indem Sie die Java-Scriptdateien <b>user.js</b> und <b>prefs.js</b> implementieren.</li>' +
    '<li type = "i">Diese Dateien befinden sich im Ordner <b><i>Flex</i></b> des IBM Rational Functional Tester-Installationsverzeichnisses .</li>' +
    '<li type = "i">Kopieren Sie diese Dateien in das Verzeichnis <b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default" (idealerweise C:\\Dokumente und Einstellungen\\&#60;Benutzername&#62;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b>.</li></ol>' +
    '<font style="Color : red">HINWEIS: Der Name "zpy0wokq.default" h\u00e4ngt vom jeweiligen Computer ab.</font>';
StringTable["Error"] = "Fehler";
StringTable["FF_enablement_troubleshoot"] = "Stellen Sie sicher, dass der Firefox-Enabler von IBM Rational Functional Tester unter 'Extras -> Add-Ons -> Erweiterungen' aufgef\u00fchrt und aktiviert ist. ";
StringTable["Yes"] = "Ja";
StringTable["No"] = "Nein";
StringTable["NA"] = "Nicht zutreffend";
StringTable["FF_enablement_extn_status"] = "Erweiterungsstatus";
StringTable["IE_enablement_extn_troubleshoot"] = "Stellen Sie sicher, dass das Add-on <i><b>IERationalEnabler Class</b></i> aufgef\u00fchrt und aktiviert ist";
StringTable["Chrome_enablement_extn_troubleshoot"] = "Stellen Sie sicher, dass die Erweiterung <i><b>IBM Rational Functional Tester f\u00fcr Google Chrome</b></i> installiert und aktiviert ist";

StringTable["Chrome_extn_disable_title"] = "Vorgehensweise zum Inaktivieren der Erweiterung IBM Rational Functional Tester f\u00fcr Google Chrome\u2122";
StringTable["Chrome_extn_disable_body"] =
    "F\u00fchren Sie die folgenden Schritte aus, um die Browsererweiterung zu deinstallieren:" +
    "<ol>" +
    "<li>Starten Sie Google Chrome.</li>" +
    "<li>Geben Sie 'chrome://extensions' ein, um auf die Seite 'Installierte Erweiterungen' zu wechseln.</li>" +
    "<li>Klicken Sie auf 'Symbol entfernen' neben der Erweiterung IBM Rational Functional Tester f\u00fcr Google Chrome\u2122.</li>" +
    "</ol>" +
    "<p>F\u00fchren Sie die folgenden Schritte aus, um die tempor\u00e4re Verwendung einer Erweiterung zu stoppen:</p>" +
    "<ol><li>Starten Sie Google Chrome.</li>" +
    "<li>Geben Sie 'chrome://extensions' ein, um auf die Seite 'Installierte Erweiterungen' zu wechseln.</li>" +
    "<li>L\u00f6schen Sie das Kontrollk\u00e4stchen neben der Erweiterung IBM Rational Functional Tester f\u00fcr Google Chrome\u2122.</li></ol>";
StringTable["problem_noplugin_header"] = "Internet-Explorer-Plug-in ist entweder nicht installiert oder deaktiviert";
StringTable["IE_allow_activeX"] = "Hinweis: Im Browser m\u00fcssen ActiveX-Steuerelemente ausgef\u00fchrt werden k\u00f6nnen, um die Aktivierung zu erkennen und das Testen zu erlauben.";
StringTable["flex_header_enablement_test_info"] = 'Unterstu00fctzungstest fu00fcr Flex-Umgebung';
StringTable["Chrome_extn_enable_title"] = "Vorgehensweise zum Aktivieren der Erweiterung IBM Rational Functional Tester f\u00fcr Google Chrome \u2122";
StringTable["Chrome_extn_enable_body"] =
	"Aktuell kann der Google Chrome Web Store nicht erreicht werden. Alternativ k\u00f6nnen Sie die Erweiterung installieren, die im Paket mit diesem Produkt geliefert wurde." +
	"<p><b>Achtung:</b> Nutzen Sie diese alternative Methode nur, wenn Sie aufgrund von Verbindungsproblemen nicht in der Lage sind, die Erweiterung aus dem Online-Store herunterzuladen.</p>" +
	"Um die Erweiterung zu installieren, m\u00fcssen Sie die folgenden Schritte abschlie\u00dfen:" +
	"<ol>" +
	"<li>Gehen Sie zum Ordner, in dem das Produkt installiert wurde, und befolgen Sie diese Schritte:" +
	"<ol type='a'>" +
	"<li>Navigieren Sie zu folgendem Pfad: FunctionalTester/bin/enabler</li>" +
	"<li>Entpacken Sie die Datei RFTChromeExtension.crx in das lokale Verzeichnis.</li>" +
	"</ol>" +
	"</li>" +
	"<li>F\u00fchren Sie folgende Schritte im Browser Google Chrome durch:" +
	"<ol type='a'>" +
	"<li>Klicken Sie in der rechten oberen Ecke auf Mehr > <b>Erweiterungen.</b></li>" +
	"<li>Aktivieren Sie den <b>Entwicklermodus.</b></li>" +
	"<li>Klicken Sie auf die Schaltfl\u00e4che <b>Entpackte Erweiterung laden</b>, um den Ordner auszuw\u00e4hlen, den Sie entpackt haben.<br/>" +
	"Die Erweiterung f\u00fcr Google Chrome wird installiert.</li>" +
	"<li>Schlie\u00dfen Sie den Browser.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";
