/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Herramienta de diagn\u00f3stico Habilitaci\u00f3n de navegador";
StringTable["info_tab"] = "Resultados";
StringTable["problem_tab"] = "Problema y soluci\u00f3n";
StringTable["details_tab"] = "Detalles (<i>avanzado</i>)";
StringTable["welcome"] = "Bienvenido a la Herramienta de diagn\u00f3stico Habilitaci\u00f3n de navegador";
StringTable["info_result_running"] = "Ejecutando diagn\u00f3stico ...";
StringTable["info_result"] = "<div><h2>Resultado de prueba de habilitaci\u00f3n de navegador";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> Este navegador / versi\u00f3n no es compatible.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green"> Satisfactoria</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>El navegador est\u00e1 correctamente habilitado. </p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Anomal\u00eda</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = '<p>Consulte el separador Problema y soluci\u00f3n para obtener instrucciones para corregir el problema. </p>';
StringTable["info_result_failed_javaenabled"] = "<p>Java no est\u00e1 habilitado en el navegador. <p>";
StringTable["info_result_failed_ft"] = "<p>La JVM que el navegador utiliza no parece que est\u00e9 habilitada.</p>";
StringTable["info_result_failed_htdi"] = "<p>El navegador no carg\u00f3 de forma satisfactoria el c\u00f3digo de Functional Test. </p>";
StringTable["info_result_ie_addon"] =
    "<p>Aseg\u00farese de que el complemento est\u00e1 instalado y habilitado.</p>" +
    '<ol><li type="i">Vaya al men\u00fa <i>Herramientas > Gestionar complementos</i>. </li>' +
    '<li type="i">Vaya al separador <i>Barras de herramientas y extensiones</i>. ' +
    '<li type="i">Aseg\u00farese de que <i>"Habilitador de Functional Test para IE"</i> est\u00e1 instalado y habilitado.</li></ol>';
StringTable["problem_noproblem"] = "<h2>No hay problemas de los que informar.</h2>";
StringTable["problem_javaenabled_header"] = "Java no est\u00e1 habilitado en el navegador. ";
StringTable["problem_javaenabled_content1"] =
    "Si est\u00e1 utilizando Internet Explorer:" +
    '<ol><li type="i">Vaya al men\u00fa <i>Herramientas > Gestionar complementos</i>.</li>' +
    '<li type="i">Vaya al separador <i>Barras de herramientas y extensiones</i>.' +
    '<li type="i">Aseg\u00farese de que el plugin de Java est\u00e1 instalado y habilitado. </li></ol>';
StringTable["problem_javaenabled_content2"] =
    "Si est\u00e1 utilizando Firefox:" +
    '<ol><li type="i">Vaya al men\u00fa <i>Herramientas > Complementos</i>. </li>' +
    '<li type="i">Seleccione la categor\u00eda <i>Plugins</i>. </li>' +
    '<li type="i">Aseg\u00farese de que el plugin de Java est\u00e1 instalado y habilitado. </li></ol>';
StringTable["problem_nojava_header"] = "No hay una JVM en ejecuci\u00f3n en su navegador.";
StringTable["problem_nojava_content1"] = "Aseg\u00farese de que tiene una JVM instalada en su m\u00e1quina.";
StringTable["problem_nojava_content2"] =
    "Aseg\u00farese de que la JVM est\u00e9 asociada con el navegador. " +
    "<ol>En sistemas operativos Windows:" +
    '<li type="i">Vaya al <i>Panel de control</i> desde el men\u00fa Inicio. </li>' +
    '<li type="i">Abra el <i>Panel de control del plug-in de Java</i>.</li>' +
    '<li type="i">Vaya al separador <i>Java</i>. </li>' +
    '<li type="i">Pulse el bot\u00f3n <i>Ver</i> de <i>Configuraci\u00f3n de Java Applet Runtime</i>' +
    '<li type="i">Aseg\u00farese de que <i>El plug-in de Java se utilizar\u00e1 como el entorno de ejecuci\u00f3n de Java predeterminado</i> est\u00e9 seleccionado para su navegador. Pulse el recuadro de selecci\u00f3n junto a su navegador. </li>' +
    '<li type="i">Pulse <i>Aplicar</i> y cierre el Panel de control. </li></ol>';
StringTable["problem_ft_header"] = "La JVM que el navegador utiliza no parece que est\u00e9 habilitada.";
StringTable["problem_ft_content1"] =
    "Abra el Habilitador pulsando <i>Configurar > Habilitar entornos para prueba</i> y pulse el separador <i>Entornos Java</i>. Seleccione todos los entornos de la lista y pulse <i>Habilitar</i>.";
StringTable["problem_ft_content2"] =
    "Otra posibilidad en sistemas operativos Windows:<ol>" +
    '<li type="i">Vaya a <i>Configuraci\u00f3n > Panel de control</i> desde el men\u00fa Inicio. </li>' +
    '<li type="i">Abra el <i>Panel de control del plug-in de Java</i>.</li>' +
    '<li type="i">Vaya al separador <i>Avanzado</i>. </li>' +
    '<li type="i">En <i>Java Runtime Environment</i> elija la versi\u00f3n que tiene que habilitar. </li>' +
    '<li type="i">Pulse <i>Aplicar</i> y cierre el Panel de control. </li></ol>';
StringTable["problem_ft_content3"] =
    "Como \u00faltimo recurso, en Windows se puede a\u00f1adir una clave de registro para que el navegador utilice el Functional Test JRE predeterminado.<ol>" +
    '<li type="i">Desde el men\u00fa <i>Inicio</i> seleccione <i>Ejecutar...</i></li>' +
    '<li type="i">Escriba "regedit" y pulse <i>Aceptar</i>. </li>' +
    '<li type="i">Vaya a <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">A\u00f1ada una serie "Applet Support" con el valor de serie "0". </li></ol>';
StringTable["problem_htdi_header"] = "El navegador no carg\u00f3 de forma satisfactoria el c\u00f3digo de Functional Test. ";
StringTable["problem_htdi_content1"] =
    "Intente inhabilitar y volver habilitar el navegador en el Habilitador. " +
    '<ol><li type="i">Pulse <i>Configurar > Habilitar entornos para prueba</i>.</li>' +
    '<li type="i">En el separador <i>Navegadores web</i>, seleccione el navegador y pulse <i>Inhabilitar</i>.</li>' +
    '<li type="i">Seleccione de nuevo el navegador y pulse <i>Habilitar</i>. </li></ol>';
StringTable["problem_htdi_content2"] =
    "Si est\u00e1 utilizando Internet Explorer:" +
    '<ol><li type="i">Vaya al men\u00fa <i>Herramientas > Opciones de Internet</i>. </li>' +
    '<li type="i">Vaya al separador <i>Avanzado</i>. ' +
    '<li type="i">Aseg\u00farese de que <i>Habilitar extensiones de explorador de terceros</i> est\u00e1 seleccionado. </li></ol>' +
    "<ol><b>Si Habilitado...</b>" +
    '<li type="i">Busque el archivo RTXIEEnabler.dll en el directorio de instalaci\u00f3n de Functional.</li>' +
    '<li type="i">Desde el shell de mandatos (cmd.exe) navegue hasta el directorio que contiene RTXIEEnabler.dll. </li>' +
    '<li type="i">Escriba "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java habilitado en el navegador = </i>";
StringTable["details_java_enabled_header"] = "Java habilitado";
StringTable["details_bootstrap_loaded"] = "<i>Rutina de carga cargada = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation cargado = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation cargado = </i>";
StringTable["details_htdi_name"] = "<i>Nombre de HtmlTestDomainImplementation = </i>";
StringTable["details_enablement_header"] = "Informaci\u00f3n general de habilitaci\u00f3n";
StringTable["details_jvm_version"] = "<i>Versi\u00f3n de JVM = </i>";
StringTable["details_jvm_vendor"] = "<i>Proveedor de JVM = </i>";
StringTable["details_jvm_header"] = "Informaci\u00f3n de JVM";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>Con el prop\u00f3sito de probar aplicaciones Flex, verifique los siguientes valores:</h3>";
StringTable["flex_test_browser_header"] = "Prueba de habilitaci\u00f3n de navegador";
StringTable["flex_test_browser_info"] = "La prueba de habilitaci\u00f3n del navegador debe, por ejemplo, pasar que tanto el navegador como la JVM est\u00e1n habilitados.<br>";
StringTable["flex_test_compiletime_header"] = "Para habilitaci\u00f3n de tiempo de compilaci\u00f3n";
StringTable["flex_test_compiletime_header_ex1"] = "Aplicaci\u00f3n existente en un directorio local del sistema";
StringTable["flex_test_compiletime_info"] =
    "A\u00f1ada la aplicaci\u00f3n Flex bajo prueba al directorio fiable de Flash siguiendo los siguientes pasos: " +
    "<ol>" +
    '<li type = "i">Cree una carpeta denominada <b>FlashPlayerTrust</b> en <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b> ' +
    '<li type = "i">Cree un archivo denominado <b>Flex</b>, sin ninguna extensi\u00f3n en la carpeta <b>FlashPlayerTrust</b> creada con anterioridad. </li>' +
    '<li type = "i">Especifique la v\u00eda de acceso al directorio de la aplicaci\u00f3n Flex en el archivo <b>Flex</b> creado con anterioridad. Por ejemplo, si la aplicaci\u00f3n Flex est\u00e1 en el directorio <b>"C:\\Test"</b>, especifique la v\u00eda de acceso en el archivo <b>Flex</b>  como <b>C:\\Test</b></li>' +
    '<li type = "i"> Guarde el archivo</li>';
StringTable["flex_test_ie_header"] = "Para Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Aplicaciones configuradas para carga en tiempo de ejecuci\u00f3n o alojadas en un servidor";
StringTable["flex_test_ie_info"] =
    "Configure Internet Explorer tal como se indica a continuaci\u00f3n: " +
    "<ol><b>A\u00f1ada el URL de la aplicaci\u00f3n Flex a la zona de intranet local...</b>" +
    '<ol><li type = "i">Vaya a <i><b>Herramientas > Opciones de internet</b></i></li>' +
    '<li type="i">Vaya al separador <i><b>Seguridad</b></i>.</li>' +
    '<li type="i">Seleccione la zona <i><b>Intranet local</b> </i>.</li>' +
    '<li type="i">Pulse en los botones <i><b>Sitios > Opciones avanzadas</b></i>. </li>' +
    '<li type="i">En el campo <i><b>Agregar este sitio web a la zona de</b></i>, especifique el URL de la aplicaci\u00f3n Flex.</li>' +
    '<li type="i">Pulse <i><b>Agregar</b></i> y, a continuaci\u00f3n, pulse <i><b>Aceptar</b></i>.</li></ol>' +
    "<br>" +
    "<b>Permitir controles ActiveX...</b>" +
    '<ol><li type="i">Seleccione la zona <i><b>Intranet local</b></i>. </li>' +
    '<li type="i">Pulse <i><b>Nivel personalizado</b></i>. </li>' +
    '<li type="i">En el desplegable <i><b>Restablecer a:</b></i> seleccione <i><b>Medio bajo</b></i>. </li>' +
    '<li type="i">En el panel <i><b>Configuraci\u00f3n</b></i> seleccione <i><b>Habilitar</b> </i> para <i><b>Inicializar y generar scripts de controles ActiveX no marcados como seguros para scripts</b></i> </li>' +
    '<li type="i">Pulse <i><b>Aceptar</b></i> y luego <i><b>Aceptar</b></i> de nuevo para guardar los valores de seguridad y cerrar la ventana Opciones de internet </li></ol>';
StringTable["flex_test_ff_header"] = "Para el navegador Firefox";
StringTable["flex_test_ff_header_ex1"] = "tanto la habilitaci\u00f3n de tiempo de compilaci\u00f3n como la habilitaci\u00f3n de tiempo de ejecuci\u00f3n";
StringTable["flex_test_ff_info"] =
    "Configure Firefox tal como se indica a continuaci\u00f3n: " +
    '<ol><li type = "i">Habilite los privilegios desplegando los archivos de script Java: <b>user.js</b> y <b>prefs.js</b></li>' +
    '<li type = "i">Estos archivos est\u00e1n disponibles en la carpeta <b><i>Flex</i></b> del directorio de instalaci\u00f3n de IBM Rational Functional Tester </li>' +
    '<li type = "i">Copie estos archivos en el directorio<b> </i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"(el lugar ideal es C:\\Documents and Settings\\&#60;nombre_usuario&#62;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b>. </li></ol>' +
    '<font style="Color : red">NOTA: el nombre "zpy0wokq.default" puede variar seg\u00fan el sistema.</font>';
StringTable["Error"] = "Error ";
StringTable["FF_enablement_troubleshoot"] = "Aseg\u00farese de que IBM Rational Functional Tester Firefox Enabler aparece listado y habilitado bajo Herramientas -> Complementos -> Extensiones ";
StringTable["Yes"] = "S\u00ed";
StringTable["No"] = "No";
StringTable["NA"] = "No aplicable";
StringTable["FF_enablement_extn_status"] = "Estado de extensi\u00f3n";
StringTable["IE_enablement_extn_troubleshoot"] = "Aseg\u00farese de que el complemento <i><b>IERationalEnabler Class</b></i> aparece en la lista y que se encuentra habilitado. ";
StringTable["Chrome_enablement_extn_troubleshoot"] = "Aseg\u00farese de que la extensi\u00f3n <i><b>IBM Rational Functional Tester for Google Chrome</b></i> est\u00e1 instalada y que se encuentra habilitada ";

StringTable["Chrome_extn_disable_title"] = "C\u00f3mo inhabilitar la extensi\u00f3n IBM Rational Functional Tester para Google Chrome\u2122 ";
StringTable["Chrome_extn_disable_body"] =
    "Siga los siguientes pasos para desinstalar la extensi\u00f3n del navegador: " +
    "<ol>" +
    "<li>Inicie Google Chrome.</li>" +
    "<li>Escriba chrome://extensions para ir la p\u00e1gina de extensiones instaladas. </li>" +
    "<li>Pulse el icono Eliminar junto a la extensi\u00f3n IBM Rational Functional Tester para Google Chrome\u2122. </li>" +
    "</ol>" +
    "<p>Siga los siguientes pasos para dejar de utilizar la extensi\u00f3n de forma temporal: </p>" +
    "<ol><li>Inicie Google Chrome.</li>" +
    "<li>Escriba chrome://extensions para ir la p\u00e1gina de extensiones instaladas. </li>" +
    "<li>Desmarque el recuadro de selecci\u00f3n junto a la extensi\u00f3n IBM Rational Functional Tester para Google Chrome\u2122.</li></ol>";
StringTable["problem_noplugin_header"] = "El complemento para Internet Explorer no est\u00e1 instalado o se ha inhabilitado";
StringTable["IE_allow_activeX"] = "Nota: Permita que los controles de ActiveX se ejecuten en el navegador para detectar la habilitaci\u00f3n y permitir las pruebas";
StringTable["flex_header_enablement_test_info"] = 'Prueba de habilitaciu00f3n del entorno Flex';
StringTable["Chrome_extn_enable_title"] = "C\u00f3mo habilitar la extensi\u00f3n IBM Rational Functional Tester  para Google Chrome\u2122";
StringTable["Chrome_extn_enable_body"] =
	"Actualmente no se puede acceder a  Google Chrome Web Store. De manera alternativa, puede instalar la extensi\u00f3n empaquetada con el producto." +
	"<p><b>Atenci\u00f3n: </b> debe utilizar este m\u00e9todo alternativo solo cuando sea imposible descargar la extensi\u00f3n desde la tienda en l\u00ednea debido a problemas de conectividad.</p>" +
	"Debe completar los siguientes pasos para instalar la extensi\u00f3n:" +
	"<ol>" +
	"<li>Dir\u00edjase a la carpeta en la que se instal\u00f3 el producto y siga estos pasos:" +
	"<ol type='a'>" +
	"<li>Vaya a la siguiente ruta: FunctionalTester/bin/enabler</li>" +
	"<li>Extraiga el archivo RFTChromeExtension.crx en el directorio local.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Siga los siguientes pasos en el navegador Google Chrome:" +
	"<ol type='a'>" +
	"<li>En la esquina superior derecho, haga clic en M\u00e1s > <b>Extensiones.</b></li>" +
	"<li>Active el <b>Modo de desarrollador.</b></li>" +
	"<li>Haga clic en el bot\u00f3n <b>Carga desempaquetada</b> para navegar y seleccionar la carpeta que ha extra\u00eddo.<br/>" +
	"Se ha instalado la extensi\u00f3n de  Google Chrome.</li>" +
	"<li>Cerrar el navegador.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";
