/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Outil de diagnostic de l'activation du navigateur";
StringTable["info_tab"] = "R\u00e9sultats";
StringTable["problem_tab"] = "Probl\u00e8mes et solutions";
StringTable["details_tab"] = "D\u00e9tails (<i>Avanc\u00e9</i>)";
StringTable["welcome"] = "Bienvenue dans l'outil de diagnostic de l'activation du navigateur";
StringTable["info_result_running"] = "Ex\u00e9cution de diagnostics\u2026";
StringTable["info_result"] = "<div><h2>R\u00e9sultat du test d'activation du navigateur";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> Cette version du navigateur / n\'est pas prise en charge.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green"> Test r\u00e9ussi !</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>Votre navigateur n'est pas activ\u00e9 correctement.</p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Echec !</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = "<p>Pour obtenir des instructions et corriger le probl\u00e8me, voir l'onglet Problem and Solution (Probl\u00e8mes et solutions).</p>";
StringTable["info_result_failed_javaenabled"] = "<p>Java n'est pas activ\u00e9 dans le navigateur.<p>";
StringTable["info_result_failed_ft"] = "<p>La machine virtuelle Java utilis\u00e9e par le navigateur n'est probablement pas activ\u00e9e.</p>";
StringTable["info_result_failed_htdi"] = "<p>Le navigateur n'est pas parvenu \u00e0 charger le code test fonctionnel.</p>";
StringTable["info_result_ie_addon"] =
    "<p>Assurez-vous que le module compl\u00e9mentaire est install\u00e9 et activ\u00e9.</p>" +
    '<ol><li type="i">Acc\u00e9dez au menu <i>Outils > G\u00e9rer les modules compl\u00e9mentaires</i>.</li>' +
    "<li type=\"i\">Acc\u00e9dez \u00e0 l'onglet <i>Barres d'outils et extensions</i>." +
    '<li type="i">Assurez-vous que <i>"Functional Test IE Enabler"</i> est install\u00e9 et activ\u00e9.</li></ol>';
StringTable["problem_noproblem"] = "<h2>Aucun probl\u00e8me \u00e0 signaler.</h2>";
StringTable["problem_javaenabled_header"] = "Java n'est pas activ\u00e9 dans le navigateur.";
StringTable["problem_javaenabled_content1"] =
    "En cas d'utilisation d'Internet Explorer :" +
    '<ol><li type="i">Acc\u00e9dez au menu <i>Outils > G\u00e9rer les modules compl\u00e9mentaires</i>.</li>' +
    "<li type=\"i\">Acc\u00e9dez \u00e0 l'onglet <i>Barres d'outils et extensions</i>." +
    '<li type="i">Assurez-vous qu\'un plug-in Java est install\u00e9 et activ\u00e9.</li></ol>';
StringTable["problem_javaenabled_content2"] =
    "En cas d'utilisation de Firefox :" +
    '<ol><li type="i">Acc\u00e9dez au menu <i>Outils > G\u00e9rer les modules compl\u00e9mentaires</i>.</li>' +
    '<li type="i">S\u00e9lectionnez la cat\u00e9gories <i>Plug-ins</i>.</li>' +
    '<li type="i">Assurez-vous qu\'un plug-in Java est install\u00e9 et activ\u00e9.</li></ol>';
StringTable["problem_nojava_header"] = "Une machine virtuelle Java n'est pas en cours d'ex\u00e9cution dans votre navigateur.";
StringTable["problem_nojava_content1"] = "V\u00e9rifiez qu'une machine virtuelle Java est install\u00e9e sur votre ordinateur.";
StringTable["problem_nojava_content2"] =
    "V\u00e9rifiez que la machine virtuelle Java est associ\u00e9e au navigateur." +
    "<ol>Sur des syst\u00e8mes d'exploitation Windows :" +
    '<li type="i">Acc\u00e9dez au <i>Panneau de configuration</i> dans le menu D\u00e9marrer.</li>' +
    '<li type="i">Ouvrez l\'application <i>Panneau de configuration du plug-in Java</i>.</li>' +
    '<li type="i">Acc\u00e9dez \u00e0 l\'onglet <i>Java</i>.</li>' +
    '<li type="i">Cliquez sur le bouton <i>View</i> de <i>Java Applet Runtime Settings</i>' +
    '<li type="i">Assurez-vous que <i>Le plug-in Java sera comme environnement d\'ex\u00e9cution Java par d\u00e9faut</i> soit s\u00e9lectionn\u00e9 pour votre navigateur. Cliquez sur la case \u00e0 cocher situ\u00e9e en regard de votre navigateur.</li>' +
    '<li type="i">Cliquez sur <i>Apply</i> et fermez le panneau de configuration.</li></ol>';
StringTable["problem_ft_header"] = "La machine virtuelle Java utilis\u00e9e par le navigateur n'est probablement pas activ\u00e9e.";
StringTable["problem_ft_content1"] =
    "Ouvrez la t\u00e2che d'activation en cliquant sur <i>Configure > Enable Environments for Testing</i>, puis cliquez sur l'onglet <i>Java Environments</i>. S\u00e9lectionnez tous les environnements r\u00e9pertori\u00e9s et cliquez sur <i>Enable</i>.";
StringTable["problem_ft_content2"] =
    "Ou sur des syst\u00e8mes d'exploitation Windows :<ol>" +
    '<li type="i">Acc\u00e9dez \u00e0 <i>Param\u00e8tres > Panneau de configuration</i> dans le menu D\u00e9marrer.</li>' +
    '<li type="i">Ouvrez l\'application <i>Panneau de configuration du plug-in Java</i>.</li>' +
    '<li type="i">Acc\u00e9dez \u00e0 l\'onglet <i>Avanc\u00e9</i>.</li>' +
    '<li type="i">Pour <i>Java Runtime Environment</i>, utilisez une version que vous savez activ\u00e9e.</li>' +
    '<li type="i">Cliquez sur <i>Apply</i> et fermez le panneau de configuration.</li></ol>';
StringTable["problem_ft_content3"] =
    "Enfin, sous Windows, vous pouvez ajouter une cl\u00e9 de registre pour que le navigateur utilise l'environnement Functional Test JRE par d\u00e9faut.<ol>" +
    '<li type="i">Acc\u00e9dez au <i>Menu D\u00e9marrer</i> et s\u00e9lectionnez <i>Ex\u00e9cuter...</i></li>' +
    '<li type="i">Entrez "regedit" et cliquez sur <i>OK</i>.</li>' +
    '<li type="i">Acc\u00e9dez \u00e0 <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">Ajoutez une cl\u00e9 "Applet Support" avec une valeur de cha\u00eene "0".</li></ol>';
StringTable["problem_htdi_header"] = "Le navigateur n'est pas parvenu \u00e0 charger le code test fonctionnel.";
StringTable["problem_htdi_content1"] =
    "Tentez de d\u00e9sactiver et de r\u00e9activer le navigateur dans la t\u00e2che d'activation." +
    '<ol><li type="i">Cliquez sur <i>Configurer>Activer des environnements pour le test</i>.</li>' +
    '<li type="i">Dans l\'onglet <i>Navigateurs Web</i>, s\u00e9lectionnez le navigateur et cliquez sur <i>D\u00e9sactiver</i>.</li>' +
    '<li type="i">S\u00e9lectionnez de nouveau le navigateur, puis cliquez sur <i>Activer</i>.</li></ol>';
StringTable["problem_htdi_content2"] =
    "En cas d'utilisation d'Internet Explorer :" +
    '<ol><li type="i">Acc\u00e9dez au menu <i>Outils > Options Internet</i>.</li>' +
    '<li type="i">Acc\u00e9dez \u00e0 l\'onglet <i>Avanc\u00e9</i>.' +
    '<li type="i">V\u00e9rifiez que la case <i>Enable Third Party Browser Extensions</i> est coch\u00e9e.</li></ol>' +
    "<ol><b>Si activ\u00e9...</b>" +
    '<li type="i">Recherchez le fichier RTXIEEnabler.dll dans le r\u00e9pertoire d\'installation du test fonctionnel. </li>' +
    '<li type="i">A partir du shell de commande (cmd.exe), acc\u00e9dez au r\u00e9pertoire contenant le fichier RTXIEEnabler.dll.</li>' +
    '<li type="i">Entrez "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java activ\u00e9 dans le navigateur = </i>";
StringTable["details_java_enabled_header"] = "Java activ\u00e9";
StringTable["details_bootstrap_loaded"] = "<i>Amor\u00e7age charg\u00e9 = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation charg\u00e9 = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation charg\u00e9 = </i>";
StringTable["details_htdi_name"] = "<i>Nom HtmlTestDomainImplementation = </i>";
StringTable["details_enablement_header"] = "Informations g\u00e9n\u00e9rales sur l'activation";
StringTable["details_jvm_version"] = "<i>Version de la machine virtuelle Java = </i>";
StringTable["details_jvm_vendor"] = "<i>Fournisseur de la machine virtuelle Java = </i>";
StringTable["details_jvm_header"] = "Informations relatives \u00e0 la machine virtuelle Java";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>Pour tester des applications Flex, v\u00e9rifiez les param\u00e8tres suivants :</h3>";
StringTable["flex_test_browser_header"] = "Tester l'activation du navigateur";
StringTable["flex_test_browser_info"] = "Le test de l'activation du navigateur doit aboutir. Par exemple, le navigateur et la machine virtuelle Java associ\u00e9e doivent tous deux \u00eatre activ\u00e9s.<br>";
StringTable["flex_test_compiletime_header"] = "Pour l'activation du temps de compilation";
StringTable["flex_test_compiletime_header_ex1"] = "Application existant dans un r\u00e9pertoire local du syst\u00e8me";
StringTable["flex_test_compiletime_info"] =
    "Ajoutez l'application Flex en cours de test au r\u00e9pertoire Flash s\u00e9curis\u00e9 en ex\u00e9cutant les \u00e9tapes suivantes : " +
    "<ol>" +
    '<li type = "i">Cr\u00e9ez un dossier intitul\u00e9 <b>FlashPlayerTrust</b> dans <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b>' +
    '<li type = "i">Cr\u00e9ez un fichier intitul\u00e9 <b>Flex</b>, sans extension, dans le dossier <b>FlashPlayerTrust</b> cr\u00e9\u00e9 ci-dessus.</li>' +
    '<li type = "i">Entrez le chemin de r\u00e9pertoire de l\'application Flex dans le fichier <b>Flex</b> cr\u00e9\u00e9 ci-dessus. Par exemple, si l\'application Flex se trouve dans le r\u00e9pertoire <b>"C:\\Test"</b>, entrez le chemin suivant dans le fichier <b>Flex</b> : <b>C:\\Test</b></li>' +
    '<li type = "i"> Sauvegardez le fichier.</li>';
StringTable["flex_test_ie_header"] = "Pour Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Applications configur\u00e9es pour le chargement de la phase d'ex\u00e9cution ou h\u00e9berg\u00e9es sur un serveur";
StringTable["flex_test_ie_info"] =
    "Configurez Internet Explorer de la fa\u00e7on suivante :" +
    "<ol><b>Ajoutez l'adresse URL de l'application Flex dans la zone de l'Intranet local...</b>" +
    '<ol><li type = "i"> Acc\u00e9dez \u00e0 <i><b>Outils > Options Internet </b></i></li>' +
    '<li type="i"> Acc\u00e9dez \u00e0 l\'onglet <i><b> S\u00e9curit\u00e9</b></i>.</li>' +
    '<li type="i"> S\u00e9lectionnez la zone <i><b>Intranet local</b> </i>.</li>' +
    '<li type="i"> Cliquez sur les boutons <i><b>Sites > Avanc\u00e9</b> </i>.</li>' +
    "<li type=\"i\"> Dans la zone <i><b>Ajouter ce site Web \u00e0 la zone</b></i>, entrez l'adresse URL de l'application Flex.</li>" +
    '<li type="i"> Cliquez sur <i><b>Ajouter</b></i>, puis sur <i><b>OK</b></i>.</li></ol>' +
    "<br>" +
    "<b>Autoriser les contr\u00f4les ActiveX...</b>" +
    '<ol><li type="i"> S\u00e9lectionnez la zone <i><b>Intranet local</b></i>.</li>' +
    '<li type="i"> Cliquez sur <i><b>Personnaliser le niveau</b></i>.</li>' +
    '<li type="i"> Dans la liste d\u00e9roulante <i><b>R\u00e9tablir :</b></i>, s\u00e9lectionnez <i><b>Moyenne-basse</b></i>.</li>' +
    "<li type=\"i\"> Dans le panneau <i><b>Param\u00e8tres</b></i>, s\u00e9lectionnez <i><b> Activer</b> </i> pour <i><b> Contr\u00f4les d'initialisation et script ActiveX non marqu\u00e9s comme s\u00e9curis\u00e9s pour l'\u00e9criture de scripts</b></i></li>" +
    '<li type="i"> Cliquez sur <i><b>OK</b></i> puis \u00e0 nouveau sur <i><b>OK</b></i> pour enregistrer les param\u00e8tres de s\u00e9curit\u00e9 et fermer la fen\u00eatre des options Internet.</li></ol>';
StringTable["flex_test_ff_header"] = "Pour le navigateur Firefox";
StringTable["flex_test_ff_header_ex1"] = "Activation du temps de compilation et de la phase d'ex\u00e9cution";
StringTable["flex_test_ff_info"] =
    "Configurez Firefox de la fa\u00e7on suivante :" +
    '<ol><li type = "i">Activez les privil\u00e8ges en d\u00e9ployant les fichiers script Java <b>user.js</b> et <b>prefs.js</b></li>' +
    '<li type = "i">Ces fichiers sont disponibles dans le dossier <b><i> Flex</i></b> du r\u00e9pertoire d\'installation IBM Rational Functional Tester. </li>' +
    '<li type = "i">Copiez ces fichiers dans le r\u00e9pertoire <b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default" (id\u00e9alement, l\'emplacement est C:\\Documents and Settings\\&#60;username&#62;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b>.</li></ol>' +
    '<font style="Color : red">REMARQUE : Le nom "zpy0wokq.default" peut varier selon les ordinateurs.</font>';
StringTable["Error"] = "Erreur";
StringTable["FF_enablement_troubleshoot"] = "V\u00e9rifiez qu'IBM Rational Functional Tester Firefox Enabler est r\u00e9pertori\u00e9 et activ\u00e9 sous Outils -> Modules compl\u00e9mentaires -> Extensions ";
StringTable["Yes"] = "Oui";
StringTable["No"] = "Non";
StringTable["NA"] = "Non applicable";
StringTable["FF_enablement_extn_status"] = "Etat de l'extension";
StringTable["IE_enablement_extn_troubleshoot"] = "V\u00e9rifiez que le module compl\u00e9mentaire <i><b>IERationalEnabler Class</b></i> est r\u00e9pertori\u00e9 et activ\u00e9";
StringTable["Chrome_enablement_extn_troubleshoot"] = "V\u00e9rifiez que l'extension <i><b>IBM Rational Functional Tester for Google Chrome</b></i> est install\u00e9e et activ\u00e9e";

StringTable["Chrome_extn_disable_title"] = "Comment d\u00e9sactiver l'extension IBM Rational Functional Tester pour Google Chrome\u2122";
StringTable["Chrome_extn_disable_body"] =
    "Pour d\u00e9sinstaller l'extension de navigateur, proc\u00e9dez comme suit :" +
    "<ol>" +
    "<li>Lancez Google Chrome.</li>" +
    "<li>Entrez chrome://extensions  pour acc\u00e9der \u00e0 la page des extensions install\u00e9es.</li>" +
    "<li>Cliquez sur l'ic\u00f4ne de suppression en regard de l'extension IBM Rational Functional Tester for Google Chrome\u2122.</li>" +
    "</ol>" +
    "<p>Pour arr\u00eater temporairement d'utiliser l'extension, proc\u00e9dez comme suit :</p>" +
    "<ol><li>Lancez Google Chrome.</li>" +
    "<li>Entrez chrome://extensions  pour acc\u00e9der \u00e0 la page des extensions install\u00e9es.</li>" +
    "<li>D\u00e9cochez la case en regard de l'extension IBM Rational Functional Tester for Google Chrome\u2122.</li></ol>";
StringTable["problem_noplugin_header"] = "Le module compl\u00e9mentaire Internet Explorer n'est ni install\u00e9 ni d\u00e9sactiv\u00e9.";
StringTable["IE_allow_activeX"] = "Remarque\u00a0: veuillez permettre l'ex\u00e9cution des commandes ActiveX dans le navigateur pour d\u00e9tecter l'activation et permettre le test.";
StringTable["flex_header_enablement_test_info"] = "Test d'activation de l'environnement Flex";
StringTable["Chrome_extn_enable_title"] = "Comment activer l'extension IBM Rational Functional Tester pour Google Chrome\u2122";
StringTable["Chrome_extn_enable_body"] =
	"Le Google Chrome Web Store n'est pas accessible pour le moment. Vous pouvez installer l'extension qui est fournie avec le produit." +
	"<p><b>Attention\u00a0:</b> Vous devez utiliser cette autre m\u00e9thode uniquement si vous ne pouvez pas t\u00e9l\u00e9charger l'extension depuis le magasin en ligne \u00e0 cause de probl\u00e8mes de connectivit\u00e9.</p>" +
	"Pour installer l'extension, vous devez suivre les \u00e9tapes suivantes\u00a0:" +
	"<ol>" +
	"<li>Dans le dossier d'installation du produit, suivez ces \u00e9tapes\u00a0:" +
	"<ol type='a'>" +
	"<li>Acc\u00e9dez au chemin suivant\u00a0: FunctionalTester/bin/enabler</li>" +
	"<li>Extrayez le fichier RFTChromeExtension.crx vers le r\u00e9pertoire local.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Suivez les \u00e9tapes suivantes dans le navigateur Google Chrome\u00a0:" +
	"<ol type='a'>" +
	"<li>Dans le coin sup\u00e9rieur droit, cliquez sur Plus d'outils > <b>Extensions.</b></li>" +
	"<li>Activez le<b>Mode d\u00e9veloppeur.</b></li>" +
	"<li>Cliquez sur le bouton <b>Charger l'extension non empaquet\u00e9e</b> pour parcourir votre explorateur de fichiers et s\u00e9lectionner le dossier extrait.<br/>" +
	"L'extension Google Chrome est install\u00e9e.</li>" +
	"<li>Fermez le navigateur.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";
