/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Strumento diagnostico di abilitazione del browser";
StringTable["info_tab"] = "Risultati";
StringTable["problem_tab"] = "Problema e soluzione";
StringTable["details_tab"] = "Dettagli (<i>Avanzate</i>)";
StringTable["welcome"] = "Benvenuti allo Strumento diagnostico di abilitazione del browser";
StringTable["info_result_running"] = "Esecuzione diagnosi in corso ...";
StringTable["info_result"] = "<div><h2>Risultato del test di abilitazione del browser:";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> Questo browser/versione non \u00e8 supportato.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green">Superato</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>Il browser in uso \u00e8 attivato in modo corretto.</p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred">Errore</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = "<p>Consultare la scheda Problema e soluzione per istruzioni sulla risoluzione del problema.</p>";
StringTable["info_result_failed_javaenabled"] = "<p>Java non \u00e8 abilitato nel browser.<p>";
StringTable["info_result_failed_ft"] = "<p>La JVM utilizzata dal browser non sembra essere abilitata.</p>";
StringTable["info_result_failed_htdi"] = "<p>Codice del test funzionale non caricato correttamente dal browser.</p>";
StringTable["info_result_ie_addon"] =
    "<p>Verificare che il componente aggiuntivo sia installato e abilitato.</p>" +
    '<ol><li type="i">Passare al menu <i>Strumenti > Gestione componenti aggiuntivi</i>.</li>' +
    '<li type="i">Passare alla scheda <i>Barre degli strumenti ed estensioni</i>.' +
    '<li type="i">Verificare che <i>"Functional Test IE Enabler"</i> sia installato e abilitato.</li></ol>';
StringTable["problem_noproblem"] = "<h2>Nessun problema da segnalare.</h2>";
StringTable["problem_javaenabled_header"] = "Java non \u00e8 abilitato nel browser.";
StringTable["problem_javaenabled_content1"] =
    "Se si utilizza Internet Explorer:" +
    '<ol><li type="i">Passare al menu <i>Strumenti > Gestione componenti aggiuntivi</i>.</li>' +
    '<li type="i">Passare alla scheda <i>Barre degli strumenti ed estensioni</i>.' +
    '<li type="i">Accertarsi che sia installato un plug-in Java e che sia abilitato.</li></ol>';
StringTable["problem_javaenabled_content2"] =
    "Se si utilizza Firefox:" +
    '<ol><li type="i">Passare al menu <i>Strumenti > Componenti aggiuntivi</i>.</li>' +
    '<li type="i">Selezionare la categoria <i>Plug-in</i>.</li>' +
    '<li type="i">Accertarsi che sia installato un plug-in Java e che sia abilitato.</li></ol>';
StringTable["problem_nojava_header"] = "Una JVM non \u00e8 in esecuzione nel browser.";
StringTable["problem_nojava_content1"] = "Accertarsi che sia installata una JVM nella macchina in uso.";
StringTable["problem_nojava_content2"] =
    "Accertarsi che la JVM sia associata al browser." +
    "<ol>Nei sistemi operativi Windows:" +
    '<li type="i">Passare a <i>Panello di controllo</i> dal menu Start.</li>' +
    '<li type="i">Aprire il <i>Pannello di controllo plug-in Java</i>.</li>' +
    '<li type="i">Passare alla scheda <i>Java</i>.</li>' +
    '<li type="i">Fare clic sul pulsante <i>Visualizza</i> per le <i>Impostazioni runtime applet Java</i>' +
    '<li type="i">Accertarsi che l\'opzione <i>Il plug-in verr\u00e0 utilizzato come Java Runtime predefinito</i> sia selezionata per il browser in uso. Fare clic sulla casella di spunta posta accanto al browser.</li>' +
    '<li type="i">Fare clic su <i>Applica</i> e chiudere il Pannello di controllo.</li></ol>';
StringTable["problem_ft_header"] = "La JVM utilizzata dal browser non sembra essere abilitata.";
StringTable["problem_ft_content1"] =
    "Aprire il programma di abilitazione facendo clic su <i>Configura > Abilita ambienti per il test</i>, quindi sulla scheda <i>Ambienti Java</i>. Selezionare tutti gli ambienti elencati e fare clic su <i>Abilita</i>.";
StringTable["problem_ft_content2"] =
    "In alternativa, nei sistemi operativi Windows:<ol>" +
    '<li type="i">Passare a <i>Impostazioni > Panello di controllo</i> dal menu Start.</li>' +
    '<li type="i">Aprire il <i>Pannello di controllo plug-in Java</i>.</li>' +
    '<li type="i">Passare alla scheda <i>Avanzate</i>.</li>' +
    '<li type="i">Per <i>Java Runtime Environment</i> scegliere una versione che sia abilitata.</li>' +
    '<li type="i">Fare clic su <i>Applica</i> e chiudere il Pannello di controllo.</li></ol>';
StringTable["problem_ft_content3"] =
    "Come ultima risorsa su Windows, \u00e8 possibile aggiungere una chiave di registro, in modo tale che il browser utilizzi il JRE del test funzionale predefinito.<ol>" +
    '<li type="i">Passare al <i>menu Start</i> e selezionare <i>Esegui...</i></li>' +
    '<li type="i">Digitare "regedit" e fare clic su <i>OK</i>.</li>' +
    '<li type="i">Passare a <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">Aggiungere una chiave "Applet Support" con valore stringa "0".</li></ol>';
StringTable["problem_htdi_header"] = "Codice del test funzionale non caricato correttamente dal browser.";
StringTable["problem_htdi_content1"] =
    "Tentare di disabilitare e riabilitare il browser nel programma di abilitazione." +
    '<ol><li type="i">Fare clic su <i>Configura > Abilita ambienti per il test</i>.</li>' +
    '<li type="i">Nella scheda <i>Browser Web</i>, selezionare il browser e fare clic su <i>Disabilita</i>.</li>' +
    '<li type="i">Selezionare di nuovo il browser e fare clic su <i>Abilita</i>.</li></ol>';
StringTable["problem_htdi_content2"] =
    "Se si utilizza Internet Explorer:" +
    '<ol><li type="i">Passare al menu <i>Strumenti > Opzioni Internet</i>.</li>' +
    '<li type="i">Passare alla scheda <i>Avanzate</i>.' +
    '<li type="i">Accertarsi che sia selezionata l\'opzione <i>Abilita estensioni dei browser di terze parti</i>.</li></ol>' +
    "<ol><b>Se abilitato:</b>" +
    '<li type="i">Cercare il file RTXIEEnabler.dll nella directory di installazione di del test funzionale. </li>' +
    '<li type="i">Da una shell dei comandi (cmd.exe) passare alla directory che contiene RTXIEEnabler.dll.</li>' +
    '<li type="i">Digitare "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java abilitato nel browser = </i>";
StringTable["details_java_enabled_header"] = "Java abilitato";
StringTable["details_bootstrap_loaded"] = "<i>Avvio automatico caricato = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation caricato = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation caricato = </i>";
StringTable["details_htdi_name"] = "<i>Nome HtmlTestDomainImplementation = </i>";
StringTable["details_enablement_header"] = "Informazioni di abilitazione generiche";
StringTable["details_jvm_version"] = "<i>Versione JVM = </i>";
StringTable["details_jvm_vendor"] = "<i>Vendor JVM = </i>";
StringTable["details_jvm_header"] = "Informazioni JVM";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>Per eseguire il test delle applicazioni Flex, verificare le seguenti impostazioni:</h3>";
StringTable["flex_test_browser_header"] = "Test di abilitazione del browser";
StringTable["flex_test_browser_info"] = "Il test di abilitazione del browser deve essere superato, ci\u00f2 vale a dire che sia il browser sia la JVM associata devono essere abilitati.<br>";
StringTable["flex_test_compiletime_header"] = "Per l'abilitazione del tempo di compilazione";
StringTable["flex_test_compiletime_header_ex1"] = "Applicazione esistente in una directory locale del sistema";
StringTable["flex_test_compiletime_info"] =
    "Aggiungere l'applicazione Flex nella directory attendibile Flash utilizzando la seguente procedura: " +
    "<ol>" +
    '<li type = "i">Creare una cartella denominata <b>FlashPlayerTrust</b> in <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b>' +
    '<li type = "i">Creare un file denominato <b>Flex</b> e privo di estensione nella cartella <b>FlashPlayerTrust</b> precedentemente creata.</li>' +
    '<li type = "i">Digitare il percorso della directory dell\'applicazione Flex nel file <b>Flex</b> precedentemente creato. Ad esempio, se l\'applicazione Flex si trova nella directory <b>"C:\\Test"</b>, digitare il percorso <b>C:\\Test</b> nel file <b>Flex</b></li>' +
    '<li type = "i"> Salvare il file.</li>';
StringTable["flex_test_ie_header"] = "Per Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Applicazioni configurate per il caricamento in runtime od ospitate in un server";
StringTable["flex_test_ie_info"] =
    "Configurare Internet Explorer come segue:" +
    "<ol><b>Aggiungere l'URL dell'applicazione Flex all'Intranet locale...</b>" +
    '<ol><li type = "i"> Passare a <i><b>Strumenti > Opzioni Internet</b></i></li>' +
    '<li type="i"> Passare alla scheda <i><b> Protezione</b></i>.</li>' +
    '<li type="i"> Selezionare <i><b>Intranet locale</b> </i>.</li>' +
    '<li type="i"> Fare clic sui pulsanti <i><b>Siti > Avanzate</b> </i>.</li>' +
    "<li type=\"i\"> Nel campo <i><b>Aggiungi il sito Web all'area</b></i>, immettere l'URL dell'applicazione Flex.</li>" +
    '<li type="i"> Fare clic su <i><b>Aggiungi</b></i> e quindi su <i><b>OK</b></i>.</li></ol>' +
    "<br>" +
    "<b>Consenti controlli ActiveX...</b>" +
    '<ol><li type="i"> Selezionare <i><b>Intranet locale</b></i></li>' +
    '<li type="i"> Fare clic su <i><b>Livello personalizzato</b></i>.</li>' +
    '<li type="i"> Nel menu a discesa <i><b>Reimposta a:</b></i> selezionare <i><b>Medio-bassa</b></i>.</li>' +
    '<li type="i"> Nel riquadro <i><b>Impostazioni</b></i> selezionare <i><b> Attiva</b> </i> per <i><b> Inizializza ed esegui script controlli ActiveX non contrassegnati come sicuri per lo script</b></i> </li>' +
    '<li type="i"> Fare clic su <i><b>OK</b></i>, quindi nuovamente su <i><b>OK</b></i> per salvare le impostazioni di sicurezza e chiudere la finestra Opzioni Internet</li></ol>';
StringTable["flex_test_ff_header"] = "Per il browser Firefox";
StringTable["flex_test_ff_header_ex1"] = "Abilitazione runtime e tempo di compilazione";
StringTable["flex_test_ff_info"] =
    "Configurare Firefox come segue:" +
    '<ol><li type = "i">Abilitare i privilegi distribuendo i file di script Java: <b>user.js</b> e <b>prefs.js</b></li>' +
    '<li type = "i">Questi file sono disponibili nella cartella <b><i> Flex</i></b> della directory di installazione IBM Rational Functional Tester .</li>' +
    '<li type = "i">Copiare questi file nella directory <b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"(idealmente il percorso \u00e8 C:\\Documents and Settings\\&#60;nomeutente&#62;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b>.</li></ol>' +
    '<font style="Color : red">NOTA: il nome "zpy0wokq.default" pu\u00f2 variare da un computer all\'altro.</font>';
StringTable["Error"] = "Errore";
StringTable["FF_enablement_troubleshoot"] = "Accertarsi che IBM Rational Functional Tester Firefox Enabler sia elencato e abilitato in Strumenti -> Componenti aggiuntivi -> Estensioni ";
StringTable["Yes"] = "S\u00ec";
StringTable["No"] = "No";
StringTable["NA"] = "Non applicabile";
StringTable["FF_enablement_extn_status"] = "Stato estensione";
StringTable["IE_enablement_extn_troubleshoot"] = "Accertarsi che il componente aggiuntivo <i><b>IERationalEnabler Class</b></i> sia elencato e abilitato";
StringTable["Chrome_enablement_extn_troubleshoot"] = "Accertarsi che l'estensione <i><b>IBM Rational Functional Tester per Google Chrome</b></i> sia installata e abilitata";

StringTable["Chrome_extn_disable_title"] = "Come disabilitare l'estensione IBM Rational Functional Tester  per Google Chrome\u2122";
StringTable["Chrome_extn_disable_body"] =
    "Per disinstallare l'estensione del browser, completare i seguenti passi:" +
    "<ol>" +
    "<li>Avviare Google Chrome.</li>" +
    "<li>Digitare chrome://extensions  per andare alla pagina delle estensioni installate.</li>" +
    "<li>Fare clic sull'icona Rimuovi accanto all'estensione IBM Rational Functional Tester per Google Chrome\u2122.</li>" +
    "</ol>" +
    "<p>Per interrompere temporaneamente l'utilizzo di un'estensione, completare i seguenti passi:</p>" +
    "<ol><li>Avviare Google Chrome.</li>" +
    "<li>Digitare chrome://extensions  per andare alla pagina delle estensioni installate.</li>" +
    "<li>Deselezionare la casella di spunta accanto all'estensione IBM Rational Functional Tester per Google Chrome\u2122.</li></ol>";
StringTable["problem_noplugin_header"] = "Il plugin di Internet Explorer non \u00e8 installato o \u00e8 disabilitato";
StringTable["IE_allow_activeX"] = "Nota: consentire l'esecuzione dei controlli ActiveX nel browser per rilevare l'abilitazione e consentire il test";
StringTable["flex_header_enablement_test_info"] = "Test di abilitazione dell'ambiente Flex";
StringTable["Chrome_extn_enable_title"] = "Come abilitare l'estensione IBM Rational Functional Tester per Google Chrome\u2122";
StringTable["Chrome_extn_enable_body"] =
	"Al momento, il Google Chrome Web Store non \u00e8 raggiungibile. In alternativa, \u00e8 possibile installare l'estensione disponibile con il prodotto." +
	"<p><b>Attenzione:</b> questo metodo alternativo deve essere utilizzato solo se non \u00e8 possibile scaricare l'estensione dal negozio online a causa di problemi di connettivit\u00e0.</p>" +
	"Per installare l'estensione, \u00e8 necessario completare i seguenti passaggi:" +
	"<ol>" +
	"<li>Andare alla cartella in cui il prodotto \u00e8 installato e seguire i seguenti passaggi:" +
	"<ol type='a'>" +
	"<li>Passare al seguente percorso: FunctionalTester/bin/enabler</li>" +
	"<li>Estrarre il file RFTChromeExtension.crx nella directory locale.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Eseguire i seguenti passaggi nel browser Google Chrome:" +
	"<ol type='a'>" +
	"<li>Nell'angolo in alto a destra, fare clic su Altro > <b>Estensioni.</b></li>" +
	"<li>Attivare la <b>Modalit\u00e0 Sviluppatore.</b></li>" +
	"<li>Fare clic su pulsante <b>Carica decompresso</b> per sfogliare e selezionare la cartella estratta.<br/>" +
	"L'estensione Google Chrome \u00e8 installata.</li>" +
	"<li>Chiudere il browser.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";
