/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Browser Enablement Diagnostic Tool";
StringTable["info_tab"] = "Results";
StringTable["problem_tab"] = "Problem and Solution";
StringTable["details_tab"] = "Details (<i>Advanced</i>)";
StringTable["welcome"] = "Welcome to the Browser Enablement Diagnostic Tool";
StringTable["info_result_running"] = "Running diagnostics ...";
StringTable["info_result"] = "<div><h2>Browser Enablement Test Result:";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> This browser / version is not supported.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green"> Passed!</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>Your browser is enabled properly.</p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Failure!</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = '<p>See <a href="javascript:clickTab(1)">Problem and Solution</a> tab for instructions to fix the problem.</p>';
StringTable["info_result_failed_javaenabled"] = "<p>Java is not enabled in the browser.<p>";
StringTable["info_result_failed_ft"] = "<p>The JVM used by the browser does not appear to be enabled.</p>";
StringTable["info_result_failed_htdi"] = "<p>Functional Test code failed to load into the browser.</p>";
StringTable["info_result_ie_addon"] =
    "<p>Please make sure that the add-on is installed and enabled.</p>" +
    '<ol><li type="i">Go to the <i>Tools > Manage add-ons</i> menu.</li>' +
    '<li type="i">Go to the <i>Toolbars and Extensions</i> tab.' +
    '<li type="i">Make sure <i>"Functional Test IE Enabler"</i> is installed and enabled.</li></ol>';
StringTable["problem_noproblem"] = "<h2>There are no problems to report.</h2>";
StringTable["problem_javaenabled_header"] = "Java is not enabled in the browser.";
StringTable["problem_javaenabled_content1"] =
    "If using Internet Explorer:" +
    '<ol><li type="i">Go to the <i>Tools > Manage add-ons</i> menu.</li>' +
    '<li type="i">Go to the <i>Toolbars and Extensions</i> tab.' +
    '<li type="i">Make sure a Java plugin is installed and enabled.</li></ol>';
StringTable["problem_javaenabled_content2"] =
    "If using Firefox:" +
    '<ol><li type="i">Go to the <i>Tools > Add-ons</i> menu.</li>' +
    '<li type="i">Select the <i>Plugins</i> category.</li>' +
    '<li type="i">Make sure a Java plugin is installed and enabled.</li></ol>';
StringTable["problem_nojava_header"] = "A JVM is not running in your browser.";
StringTable["problem_nojava_content1"] = "Make sure that you have a 32-bit JVM installed on your machine.";
StringTable["problem_nojava_content2"] =
    "Make sure that the JVM is associated with the browser." +
    "<ol>On Windows Operating Systems:" +
    '<li type="i">Go to <i>Control Panel</i> from the Start menu.</li>' +
    '<li type="i">Open the <i>Java Plug-in Control Panel</i>.</li>' +
    '<li type="i">Go to the <i>Java</i> tab.</li>' +
    '<li type="i">Click on the <i>View</i> Button for the <i>Java Applet Runtime Settings</i>' +
    '<li type="i">Make sure that <i>Java Plug-in will be used as the default Java Runtime</i> is selected for your browser. Click the checkbox next to your browser.</li>' +
    '<li type="i">Click <i>Apply</i> and close Control Panel.</li></ol>';
StringTable["problem_ft_header"] = "The JVM used by the browser does not appear to be enabled.";
StringTable["problem_ft_content1"] =
    "Open the Enabler by clicking <i>Configure > Enable Environments for Testing</i> and click the <i>Java Environments</i> tab. Select all the listed environments and click <i>Enable</i>.";
StringTable["problem_ft_content2"] =
    "Alternatively on Windows Operating Systems:<ol>" +
    '<li type="i">Go to <i>Settings > Control Panel</i> from the Start menu.</li>' +
    '<li type="i">Open the <i>Java Plug-in Control Panel</i>.</li>' +
    '<li type="i">Go to the <i>Advanced</i> tab.</li>' +
    '<li type="i">For <i>Java Runtime Environment</i> pick a version that you know to be enabled.</li>' +
    '<li type="i">Click <i>Apply</i> and close Control Panel.</li></ol>';
StringTable["problem_ft_content3"] =
    "As a last resort on Windows you can add a registry key to have the browser use the default Functional Test JRE.<ol>" +
    '<li type="i">Go to the <i>Start Menu</i> and select <i>Run...</i></li>' +
    '<li type="i">Type "regedit" and click <i>OK</i>.</li>' +
    '<li type="i">Navigate to <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">Add a key "Applet Support" with a string value of "0".</li></ol>';
StringTable["problem_htdi_header"] = "Functional Test code not successfully loaded by the browser.";
StringTable["problem_htdi_content1"] =
    "Try disabling and reenabling the browser in the Enabler." +
    '<ol><li type="i">Click <i>Configure > Enable Environments for Testing</i>.</li>' +
    '<li type="i">On the <i>Web Browsers</i> tab, select the browser and click <i>Disable</i>.</li>' +
    '<li type="i">Select the browser again and click <i>Enable</i>.</li></ol>';
StringTable["problem_htdi_content2"] =
    "If using Internet Explorer:" +
    '<ol><li type="i">Go to the <i>Tools > Internet Options</i> menu.</li>' +
    '<li type="i">Go to the <i>Advanced</i> tab.' +
    '<li type="i">Make sure that <i>Enable Third Party Browser Extensions</i> is checked.</li></ol>' +
    "<ol><b>If Enabled...</b>" +
    '<li type="i">Find the file RTXIEEnabler.dll in the Functional Test install directory.</li>' +
    '<li type="i">From a command shell (cmd.exe) navigate to the directory containing RTXIEEnabler.dll.</li>' +
    '<li type="i">Type "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java Enabled In Browser = </i>";
StringTable["details_java_enabled_header"] = "Java Enabled";
StringTable["details_bootstrap_loaded"] = "<i>Bootstrap Loaded = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation Loaded = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation Loaded = </i>";
StringTable["details_htdi_name"] = "<i>HtmlTestDomainImplementation Name = </i>";
StringTable["details_enablement_header"] = "General Enablement Information";
StringTable["details_jvm_version"] = "<i>JVM Version = </i>";
StringTable["details_jvm_vendor"] = "<i>JVM Vendor = </i>";
StringTable["details_jvm_header"] = "JVM Information";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>In order to test Flex applications, verify the following settings:</h3>";
StringTable["flex_test_browser_header"] = "Test Browser Enablement";
StringTable["flex_test_browser_info"] = "The Browser Enablement Test must pass i.e., both the browser and the associated JVM should be enabled.<br>";
StringTable["flex_test_compiletime_header"] = "For Compile Time Enablement";
StringTable["flex_test_compiletime_header_ex1"] = "Application existing in a Local directory of the system";
StringTable["flex_test_compiletime_info"] =
    "Add the Flex Application Under Test to the Flash trusted directory, using the following steps: " +
    "<ol>" +
    '<li type = "i">Create a folder named <b>FlashPlayerTrust</b> in <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b>' +
    '<li type = "i">Create a file named <b>Flex</b>,without any extension in the <b>FlashPlayerTrust</b> folder created above.</li>' +
    '<li type = "i">Type the directory path of the Flex application in the <b>Flex</b> file created above. For example, if the Flex application is in the <b>"C:\\Test"</b> directory, type the path in the <b>Flex</b> file as <b>C:\\Test</b></li>' +
    '<li type = "i"> Save the file.</li>';
StringTable["flex_test_ie_header"] = "For Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Applications configured for Runtime Loading Or hosted on a server";
StringTable["flex_test_ie_info"] =
    "Configure Internet Explorer as follows:" +
    "<ol><b>Add the Flex application's URL to Local Intranet zone...</b>" +
    '<ol><li type = "i"> Go to the <i><b>Tools > Internet Options </b></i></li>' +
    '<li type="i"> Go to the <i><b> Security</b></i> tab.</li>' +
    '<li type="i"> Select <i><b>Local Intranet</b> </i> zone.</li>' +
    '<li type="i"> Click on <i><b>Sites > Advanced</b> </i> buttons.</li>' +
    '<li type="i"> In <i><b>Add this website to the zone</b></i> field, enter the URL of the Flex application.</li>' +
    '<li type="i"> Click <i><b>Add</b></i> and then click <i><b>OK</b></i>.</li></ol>' +
    "<br>" +
    "<b>Allow ActiveX controls...</b>" +
    '<ol><li type="i"> Select <i><b>Local Intranet</b></i> zone</li>' +
    '<li type="i"> Click <i><b>Custom Level</b></i>.</li>' +
    '<li type="i"> In the <i><b>Reset to:</b></i> dropdown select <i><b>Medium-low</b></i>.</li>' +
    '<li type="i"> In the <i><b>Settings</b></i> pane select <i><b> Enable</b> </i> for <i><b> Initialize and script ActiveX controls not marked as safe for scripting</b></i> </li>' +
    '<li type="i"> Click <i><b>OK</b></i> and then <i><b>OK</b></i> again to save the security settings and close the Internet Options window</li></ol>';
StringTable["flex_test_ff_header"] = "For Firefox Browser";
StringTable["flex_test_ff_header_ex1"] = "both Compile-time and Runtime Enablement";
StringTable["flex_test_ff_info"] =
    "Configure Firefox as follows:" +
    '<ol><li type = "i">Enable the privileges by deploying the Java script files: <b>user.js</b> and <b>prefs.js</b></li>' +
    '<li type = "i">These files are available in the <b><i> Flex</i></b> folder of IBM Rational Functional Tester  Installation directory</li>' +
    '<li type = "i">Copy these files to<b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default"(Ideally the location is C:\\Documents and Settings\\&#60username&#62\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b> directory.</li></ol>' +
    '<font style="Color : red">NOTE: The name "zpy0wokq.default" may vary on different computers.</font>';
StringTable["Error"] = "Error";
StringTable["FF_enablement_troubleshoot"] = "Ensure IBM Rational Functional Tester Firefox Enabler is listed and enabled under Tools -> Add-Ons -> Extensions ";
StringTable["Yes"] = "Yes";
StringTable["No"] = "No";
StringTable["NA"] = "Not Applicable";
StringTable["FF_enablement_extn_status"] = "Extension Status";
StringTable["IE_enablement_extn_troubleshoot"] = "Ensure add-on <i><b>Functional Test IE Enabler</b></i> is listed and enabled";
StringTable["Chrome_enablement_extn_troubleshoot"] = "Ensure extension <i><b>IBM Rational Functional Tester for Google Chrome</b></i> is installed and enabled";

StringTable["Chrome_extn_disable_title"] = "How to disable IBM Rational Functional Tester for Google Chrome\u2122 extension";
StringTable["Chrome_extn_disable_body"] =
    "To uninstall the browser extension, do the following steps:" +
    "<ol>" +
    "<li>Launch Google Chrome.</li>" +
    "<li>Type  chrome://extensions  to go to the installed extensions page.</li>" +
    "<li>Click Remove icon next to IBM Rational Functional Tester for Google Chrome\u2122 extension.</li>" +
    "</ol>" +
    "<p>To stop using an extension temporarily, do the following steps:</p>" +
    "<ol><li>Launch Google Chrome.</li>" +
    "<li>Type  chrome://extensions  to go to the installed extensions page.</li>" +
    "<li>Clear the check box next to the IBM Rational Functional Tester for Google Chrome\u2122 extension.</li></ol>";

StringTable["Edge_extn_disable_title"] = "How to disable IBM Rational Functional Tester for Microsoft Edge\u2122 extension";
StringTable["Edge_extn_disable_body"] =
    "To uninstall the browser extension, do the following steps:" +
    "<ol>" +
    "<li>Launch Microsoft Edge.</li>" +
    "<li>Type  edge://extensions  to go to the installed extensions page.</li>" +
    "<li>Click Remove icon next to IBM Rational Functional Tester for Microsoft Edge\u2122 extension.</li>" +
    "</ol>" +
    "<p>To stop using an extension temporarily, do the following steps:</p>" +
    "<ol><li>Launch Microsoft Edge.</li>" +
    "<li>Type  edge://extensions  to go to the installed extensions page.</li>" +
    "<li>Clear the check box next to the IBM Rational Functional Tester for Microsoft Edge\u2122 extension.</li></ol>";

StringTable["problem_noplugin_header"] = "Internet Explorer Plugin is either not installed or disabled";
StringTable["IE_allow_activeX"] = "Note: Please allow ActiveX controls to be executed in the browser to detect enablement and allow testing";
StringTable["flex_header_enablement_test_info"] = 'Flex Environment Enablement Test';

StringTable["Chrome_extn_enable_title"] = "How to enable IBM Rational Functional Tester for Google Chrome\u2122 extension";
StringTable["Chrome_extn_enable_body"] =
	"Currently, the Google Chrome Web Store is not reachable. Alternatively, you can install the extension that is packaged with the product." +
	"<p><b>Attention:</b> You must use this alternate method only when you cannot download the extension from the online store due to connectivity issues.</p>" +
	"To install the extension, you must complete the following steps:" +
	"<ol>" +
	"<li>Go to the folder where the product is installed and follow these steps:" +
	"<ol type='a'>" +
	"<li>Navigate to the following path: FunctionalTester/bin/enabler</li>" +
	"<li>Extract the RFTChromeExtension.crx file to the local directory.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Perform following steps in the Google Chrome browser:" +
	"<ol type='a'>" +
	"<li>At the top right corner, click More > <b>Extensions.</b></li>" +
	"<li>Turn on the <b>Developer Mode.</b></li>" +
	"<li>Click the <b>Load Unpacked</b> button to browse and select the folder that you extracted.<br/>" +
	"The Google Chrome extension is installed.</li>" +
	"<li>Close the browser.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";

StringTable["Edge_extn_enable_title"] = "How to enable IBM Rational Functional Tester for Microsoft Edge\u2122 extension";
StringTable["Edge_extn_enable_body"] =
	"Currently, the Microsoft Edge Web Store is not reachable. Alternatively, you can install the extension that is packaged with the product." +
	"<p><b>Attention:</b> You must use this alternate method only when you cannot download the extension from the online store due to connectivity issues.</p>" +
	"To install the extension, you must complete the following steps:" +
	"<ol>" +
	"<li>Go to the folder where the product is installed and follow these steps:" +
	"<ol type='a'>" +
	"<li>Navigate to the following path: FunctionalTester/bin/enabler</li>" +
	"<li>Extract the RFTChromeExtension.crx file to the local directory.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Perform following steps in the Microsoft Edge browser:" +
	"<ol type='a'>" +
	"<li>At the top right corner, click on Extensions ></li>" +
	"<li>Turn on the <b>Developer Mode.</b></li>" +
	"<li>Click the <b>Load Unpacked</b> button to browse and select the folder that you extracted.<br/>" +
	"The Microsoft Edge extension is installed.</li>" +
	"<li>Close the browser.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";