/*******************************************************************************
 * Licensed Materials - Property of IBM and/or HCL
 * (c) Copyright IBM Corporation 2006. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// Associative array containing string resources
// NLS_CHARSET=UTF-8
var StringTable = new Object();

//////////////////////////////////////////////////////////////////////////////////////////////////////
//
// These are the default string resources for the Browser Enablement Diagnostics Tool
// Localized versions should be named using ISO 630 naming convention where PluginInfo.js is the
// default resource. For example, English resources would be "PluginInfo.en.js", Japanese resourcs
// would be "PluginInfo.ja.js", and if needed locale can be used, so US English would be
// "PluginInfo.en-us.js".
//
// Tags (<"tag name"> </"tag name") should not be localized although color attributes can be changed
// if the color has a different meaning in a different locale.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////
StringTable["title"] = "Ferramenta de Diagn\u00f3stico de Ativa\u00e7\u00e3o do Navegador";
StringTable["info_tab"] = "Resultados";
StringTable["problem_tab"] = "Problema e Solu\u00e7\u00e3o";
StringTable["details_tab"] = "Detalhes (<i>Avan\u00e7ado</i>)";
StringTable["welcome"] = "Bem-vindo \u00e0 Ferramenta de Diagn\u00f3stico de Ativa\u00e7\u00e3o do Navegador";
StringTable["info_result_running"] = "Executando diagn\u00f3sticos ...";
StringTable["info_result"] = "<div><h2>Resultado do Teste de Ativa\u00e7\u00e3o do Navegador:";
StringTable["info_result_unsupported"] = '<font style="color: darkred"> Este navegador/vers\u00e3o n\u00e3o \u00e9 suportado.</font></h2></div>\n';
StringTable["info_result_passed_1"] = '<font style="color: green"> Aprovado!</font></h2></div>\n';
StringTable["info_result_passed_2"] = "<p>Seu navegador est\u00e1 corretamente ativado.</p>";
StringTable["info_result_failed_1"] = '<font style="color: darkred"> Falha!</font></h2></div>';
StringTable["info_result_close"] = "</div>";
StringTable["info_result_failed_2"] = '<p>Consulte a guia Problema e Solu\u00e7\u00e3o para obter instru\u00e7\u00f5es para corrigir o problema.</p>';
StringTable["info_result_failed_javaenabled"] = "<p>O Java n\u00e3o est\u00e1 ativado no navegador.<p>";
StringTable["info_result_failed_ft"] = "<p>A JVM usada pelo navegador n\u00e3o parece estar ativada.</p>";
StringTable["info_result_failed_htdi"] = "<p>C\u00f3digo Teste Funcional n\u00e3o carregado com \u00eaxito pelo navegador.</p>";
StringTable["info_result_ie_addon"] =
    "<p>Verifique se o complemento est\u00e1 instalado e ativado.</p>" +
    '<ol><li type="i">Acesse o menu <i>Ferramentas > Gerenciar complementos</i>.</li>' +
    '<li type="i">Acesse a guia <i>Barras de Ferramentas e Extens\u00f5es</i>.' +
    '<li type="i">Verifique se o <i>"Functional Test IE Enabler"</i> est\u00e1 instalado e ativado.</li></ol>';
StringTable["problem_noproblem"] = "<h2>N\u00e3o h\u00e1 problemas a serem relatados.</h2>";
StringTable["problem_javaenabled_header"] = "O Java n\u00e3o est\u00e1 ativado no navegador.";
StringTable["problem_javaenabled_content1"] =
    "Se estiver usando o Internet Explorer:" +
    '<ol><li type="i">Acesse o menu <i>Ferramentas > Gerenciar complementos</i>.</li>' +
    '<li type="i">Acesse a guia <i>Barras de Ferramentas e Extens\u00f5es</i>.' +
    '<li type="i">Certifique-se de que um plug-in Java esteja instalado e ativado.</li></ol>';
StringTable["problem_javaenabled_content2"] =
    "Se estiver usando Firefox:" +
    '<ol><li type="i">Acesse o menu <i>Ferramentas > Complementos</i>.</li>' +
    '<li type="i">Selecione a categoria <i>Plug-ins</i>.</li>' +
    '<li type="i">Certifique-se de que um plug-in Java esteja instalado e ativado.</li></ol>';
StringTable["problem_nojava_header"] = "Uma JVM n\u00e3o est\u00e1 sendo executada em seu navegador.";
StringTable["problem_nojava_content1"] = "Certifique-se de ter uma JVM instalada em sua m\u00e1quina.";
StringTable["problem_nojava_content2"] =
    "Certifique-se de que a JVM esteja associada ao navegador." +
    "<ol>Em sistemas Operacionais Windows:" +
    '<li type="i">Acesse o menu <i>Painel de Controle</i> no menu Iniciar.</li>' +
    '<li type="i">Abra o <i>Painel de Controle do Plug-in Java</i>.</li>' +
    '<li type="i">Acesse a guia <i>Java</i>.</li>' +
    '<li type="i">Clique no bot\u00e3o <i>Visualizar</i> para as <i>Configura\u00e7\u00f5es de Java Applet Runtime</i>' +
    '<li type="i">Certifique-se de que <i>Java Plug-in Ser\u00e1 usado como o Java Runtime Padr\u00e3o</i> esteja selecionado para o seu navegador. Clique na caixa de sele\u00e7\u00e3o ao lado do navegador.</li>' +
    '<li type="i">Clique em <i>Aplicar</i> e feche  o Painel de Controle.</li></ol>';
StringTable["problem_ft_header"] = "A JVM usada pelo navegador n\u00e3o parece estar ativada.";
StringTable["problem_ft_content1"] =
    "Abra o Ativador clicando em <i>Configurar > Ativar Ambientes para Teste</i> e clique na guia <i>Ambientes Java</i>. Selecione todos os ambientes listados e clique em <i>Ativar</i>.";
StringTable["problem_ft_content2"] =
    "Como alternativa nos Sistemas Operacionais Windows:<ol>" +
    '<li type="i">Acesse o menu <i>Configura\u00e7\u00f5es > Painel de Controle</i> no menu Iniciar.</li>' +
    '<li type="i">Abra o <i>Painel de Controle do Plug-in Java</i>.</li>' +
    '<li type="i">Acesse a guia <i>Avan\u00e7ado</i>.</li>' +
    '<li type="i">Para <i>Java Runtime Environment</i>, selecione uma vers\u00e3o que voc\u00ea sabe que est\u00e1 ativada.</li>' +
    '<li type="i">Clique em <i>Aplicar</i> e feche  o Painel de Controle.</li></ol>';
StringTable["problem_ft_content3"] =
    "Como um \u00faltimo recurso no Windows, \u00e9 poss\u00edvel incluir uma chave de registro para fazer com que o navegador use o JRE de Teste Funcional padr\u00e3o.<ol>" +
    '<li type="i">Acesse o <i>Menu Iniciar</i> e selecione <i>Executar...</i></li>' +
    '<li type="i">Digite "regedit" e clique em <i>OK</i>.</li>' +
    '<li type="i">Navegue para <i>HKEY_LOCAL_MACHINE\\Software\\Rational Software\\Rational Test\\8</i>.</li>' +
    '<li type="i">Inclua uma chave "Applet Support" com um valor de sequ\u00eancia "0".</li></ol>';
StringTable["problem_htdi_header"] = "C\u00f3digo Teste Funcional n\u00e3o carregado com \u00eaxito pelo navegador.";
StringTable["problem_htdi_content1"] =
    "Tente desativar e reativar o navegador no Ativador." +
    '<ol><li type="i">Clique em <i>Configurar > Ativar Ambientes para Teste</i>.</li>' +
    '<li type="i">Na guia <i>Navegadores da Web</i>, selecione o navegador e clique em <i>Desativar</i>.</li>' +
    '<li type="i">Selecione o navegador novamente e clique em <i>Ativar</i>.</li></ol>';
StringTable["problem_htdi_content2"] =
    "Se estiver usando o Internet Explorer:" +
    '<ol><li type="i">Acesse o menu <i>Ferramentas > Op\u00e7\u00f5es da Internet</i>.</li>' +
    '<li type="i">Acesse a guia <i>Avan\u00e7ado</i>.' +
    '<li type="i">Certifique-se de que <i>Ativar Externs\u00f5es do Navegador de Terceiros</i> esteja marcado.</li></ol>' +
    "<ol><b>Se Ativado...</b>" +
    '<li type="i">Localize o arquivo RTXIEEnabler.dll no diret\u00f3rio de instala\u00e7\u00e3o de Teste Funcional.</li>' +
    '<li type="i">Em um shell de comando (cmd.exe), navegue para o diret\u00f3rio que cont\u00e9m RTXIEEnabler.dll.</li>' +
    '<li type="i">Digite "regsvr32 RTXIEEnabler.dll".</li></ol>';
StringTable["details_java_enabled_browser"] = "<i>Java Ativado no Navegador = </i>";
StringTable["details_java_enabled_header"] = "Java Ativado";
StringTable["details_bootstrap_loaded"] = "<i>Autoinicializa\u00e7\u00e3o Carregada = </i>";
StringTable["details_java2tdi_loaded"] = "<i>Java2TestDomainImplementation Carregada = </i>";
StringTable["details_htdi_loaded"] = "<i>HtmlTestDomainImplementation Carregada = </i>";
StringTable["details_htdi_name"] = "<i>Nome de HtmlTestDomainImplementation = </i>";
StringTable["details_enablement_header"] = "Informa\u00e7\u00f5es Gerais de Ativa\u00e7\u00e3o";
StringTable["details_jvm_version"] = "<i>Vers\u00e3o da JVM = </i>";
StringTable["details_jvm_vendor"] = "<i>Fornecedor da JVM = </i>";
StringTable["details_jvm_header"] = "Informa\u00e7\u00f5es JVM";
//
//FLEX TEST STRING
StringTable["flex_test_general_info"] = "<br/><h3>Para testar aplicativos Flex, verifique as configura\u00e7\u00f5es a seguir:</h3>";
StringTable["flex_test_browser_header"] = "Ativa\u00e7\u00e3o do Navegador de Teste";
StringTable["flex_test_browser_info"] = "O Teste de Ativa\u00e7\u00e3o do Navegador deve passar, por exemplo, o navegador e a JVM associada devem ser ativados.<br>";
StringTable["flex_test_compiletime_header"] = "Para Ativa\u00e7\u00e3o do Tempo de Compila\u00e7\u00e3o";
StringTable["flex_test_compiletime_header_ex1"] = "Aplicativo existente em um Diret\u00f3rio Local do sistema";
StringTable["flex_test_compiletime_info"] =
    "Inclua o Aplicativo Flex em Teste no diret\u00f3rio confi\u00e1vel Flash, usando as seguintes etapas: " +
    "<ol>" +
    '<li type = "i">Crie uma pasta denominada <b>FlashPlayerTrust</b> em <b><i>%WINDIR%\\system32\\Macromed\\Flash .</i></b>' +
    '<li type = "i">Crie um arquivo denominado <b>Flex</b>, sem qualquer extens\u00e3o na pasta <b>FlashPlayerTrust</b> folder criada acima.</li>' +
    '<li type = "i">Digite o caminho do diret\u00f3rio do aplicativo Flex no arquivo <b>Flex</b> criado acima. Por exemplo, se o aplicativo Flex estiver no diret\u00f3rio <b>"C:\\Test"</b>, digite o caminho do arquivo <b>Flex</b> como <b>C:\\Test</b></li>' +
    '<li type = "i"> Salve o arquivo.</li>';
StringTable["flex_test_ie_header"] = "Para Internet Explorer";
StringTable["flex_test_ie_header_ex1"] = "Os aplicativos configurados para Carregamento de Tempo de Execu\u00e7\u00e3o ou hospedados em um servidor";
StringTable["flex_test_ie_info"] =
    "Configure o Internet Explorer da seguinte maneira:" +
    "<ol><b>Inclua a URL do aplicativo Flex na zona de Intranet Local...</b>" +
    '<ol><li type = "i"> Acesse <i><b>Ferramentas > Op\u00e7\u00f5es da Internet </b></i></li>' +
    '<li type="i"> Acesse a guia <i><b> Seguran\u00e7a</b></i>.</li>' +
    '<li type="i"> Selecione a zona de <i><b>Intranet Local</b> </i>.</li>' +
    '<li type="i"> Clique nos bot\u00f5es <i><b>Sites > Avan\u00e7ado</b> </i>.</li>' +
    '<li type="i"> No campo <i><b>Incluir Este Website na Zona</b></i>, insira a URL do aplicativo Flex.</li>' +
    '<li type="i"> Clique em <i><b>Incluir</b></i> e, em seguida, clique em <i><b>OK</b></i>.</li></ol>' +
    "<br>" +
    "<b>Permitir controles do ActiveX...</b>" +
    '<ol><li type="i"> Selecione a zona de <i><b>Intranet Local</b></i></li>' +
    '<li type="i"> Clique em <i><b>N\u00edvel Customizado</b></i>.</li>' +
    '<li type="i"> No menu suspenso <i><b>Reconfigurar Para:</b></i>, selecione <i><b>M\u00e9dio-baixo</b></i>.</li>' +
    '<li type="i"> Na \u00e1rea de janela <i><b>Configura\u00e7\u00f5es</b></i>, selecione <i><b> Ativar</b> </i> para <i><b> Inicializar e executar scripts de controles ActiveX n\u00e3o marcados como seguros</b></i> </li>' +
    '<li type="i"> Clique em <i><b>OK</b></i> e, em seguida, <i><b>OK</b></i> novamente para salvar as configura\u00e7\u00f5es de seguran\u00e7a e feche a janela Op\u00e7\u00f5es da Internet</li></ol>';
StringTable["flex_test_ff_header"] = "Para o Navegador Firefox";
StringTable["flex_test_ff_header_ex1"] = "Tempo de Compila\u00e7\u00e3o e Ativa\u00e7\u00e3o de Tempo de Execu\u00e7\u00e3o";
StringTable["flex_test_ff_info"] =
    "Configure o Firefox da seguinte maneira:" +
    '<ol><li type = "i">Ative os privil\u00e9gios, implementando os arquivos de script Java: <b>user.js</b> e <b>prefs.js</b></li>' +
    '<li type = "i">Esses arquivos est\u00e3o dispon\u00edveis na pasta <b><i> Flex</i></b> do diret\u00f3rio de instala\u00e7\u00e3o IBM Rational Functional Tester </li>' +
    '<li type = "i">Copie esses arquivos para o diret\u00f3rio <b></i>"%APPDATA%\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default" (idealmente o local \u00e9 C:\\Documents and Settings\\&#60;username&#62;\\Application Data\\Mozilla\\Firefox\\Profiles\\zpy0wokq.default)</i></b>.</li></ol>' +
    '<font style="Color : red">NOTA: O nome "zpy0wokq.default" pode variar em diferentes computadores.</font>';
StringTable["Error"] = "Erro";
StringTable["FF_enablement_troubleshoot"] = "Assegure que o IBM Rational Functional Tester Firefox Enabler esteja listado e ativado em Ferramentas -> Complementos -> Extens\u00f5es ";
StringTable["Yes"] = "Sim";
StringTable["No"] = "N\u00e3o";
StringTable["NA"] = "N\u00e3o Aplic\u00e1vel";
StringTable["FF_enablement_extn_status"] = "Status da Extens\u00e3o";
StringTable["IE_enablement_extn_troubleshoot"] = "Assegure-se de que o complemento <i><b>IERationalEnabler Class</b></i> esteja listado e ativado";
StringTable["Chrome_enablement_extn_troubleshoot"] = "Assegure-se de que a extens\u00e3o <i><b>IBM Rational Functional Tester for Google Chrome</b></i> esteja instalada e ativada";

StringTable["Chrome_extn_disable_title"] = "Como desativar o IBM Rational Functional Tester para a extens\u00e3o Google Chrome\u2122 ";
StringTable["Chrome_extn_disable_body"] =
    "Para desinstalar a extens\u00e3o do navegador, execute as etapas a seguir:" +
    "<ol>" +
    "<li>Inicie o Google Chrome.</li>" +
    "<li>Digite chrome://extensions para acessar a p\u00e1gina de extens\u00f5es instaladas.</li>" +
    "<li>Clique no \u00edcone Remover ao lado da extens\u00e3o IBM Rational Functional Tester for Google Chrome\u2122.</li>" +
    "</ol>" +
    "<p>Para parar de usar uma extens\u00e3o temporariamente, execute as etapas a seguir:</p>" +
    "<ol><li>Ative o Google Chrome.</li>" +
    "<li>Digite chrome://extensions para acessar a p\u00e1gina de extens\u00f5es instaladas.</li>" +
    "<li>Desmarque a caixa de sele\u00e7\u00e3o ao lado da extens\u00e3o IBM Rational Functional Tester for Google Chrome\u2122.</li></ol>";
StringTable["problem_noplugin_header"] = "O plug-in do Internet Explorer n\u00e3o est\u00e1 instalado ou est\u00e1 desativado";
StringTable["IE_allow_activeX"] = "Nota: permita que controles ActiveX sejam executados no navegador para detectar a ativa\u00e7\u00e3o e permitir testes";
StringTable["flex_header_enablement_test_info"] = 'Teste de Ativau00e7u00e3o do Ambiente Flex';
StringTable["Chrome_extn_enable_title"] = "Como ativar o IBM Rational Functional Tester para a extens\u00e3o Google Chrome\u2122";
StringTable["Chrome_extn_enable_body"] =
	"N\u00e3o \u00e9 poss\u00edvel acessar a Google Chrome Web Store no momento. Como alternativa, voc\u00ea pode instalar a extens\u00e3o empacotada com o produto." +
	"<p><b>Aten\u00e7\u00e3o:</b> Voc\u00ea dever\u00e1 usar este m\u00e9todo alternativo somente se n\u00e3o conseguir fazer download da extens\u00e3o na loja on-line devido a problemas de conectividade.</p>" +
	"Para instalar a extens\u00e3o, voc\u00ea deve realizar estas etapas:" +
	"<ol>" +
	"<li>Acesse a pasta na qual o produto est\u00e1 instalado e siga estas etapas:" +
	"<ol type='a'>" +
	"<li>Navegue para o seguinte caminho: FunctionalTester/bin/enabler</li>" +
	"<li>Extraia o arquivo RFTChromeExtension.crx para o diret\u00f3rio local.</li>" +
	"</ol>" +
	"</li>" +
	"<li>Realize estas etapas no navegador Google Chrome:" +
	"<ol type='a'>" +
	"<li>No canto superior direito, clique em Mais > <b>Extens\u00f5es.</b></li>" +
	"<li>Ative o <b>Modo do desenvolvedor</b>.</li>" +
	"<li>Clique no bot\u00e3o <b>Carregar sem compacta\u00e7\u00e3o</b> para procurar e selecionar a pasta que voc\u00ea extraiu.<br/>" +
	"A extens\u00e3o Google Chrome \u00e9 instalada.</li>" +
	"<li>Feche o navegador.</li>" +
	"</ol>" +
	"</li>" +
	"</ol>";
